2013-04-24 19:53  donncha

	* readme.txt, wp-cache.php: Bump version to 1.3.2

2013-04-24 19:52  donncha

	* readme.txt: Added upgrade notice and changelog for 1.3.2

2013-04-17 13:06  donncha

	* wp-cache.php: Fixed warnings on the action POST parameter, props
	  @michiecat

2013-04-17 10:31  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Dump the GET array if
	  required.

2013-04-16 12:17  donncha

	* plugins/jetpack.php: Check if Jetpack is installed before showing
	  helper form

2013-04-16 12:05  donncha

	* wp-cache-phase2.php: Need to pass this as a global variable so
	  mfunc can be disabled!

2013-04-16 12:03  donncha

	* wp-super-cache.pot: Updated translation file

2013-04-16 11:59  donncha

	* plugins/jetpack.php: Added plugin to provide support for the
	  Jetpack Mobile Theme.

2013-04-16 11:48  donncha

	* plugins/wptouch.php: Minor change to text output

2013-04-16 11:37  donncha

	* wp-cache-phase1.php: Added debug logs to mobile detection code

2013-04-16 11:31  donncha

	* wp-cache-phase1.php: Re-org the comment check regex

2013-04-16 08:27  donncha

	* wp-cache.php: Remove just the leading mfunc tag to mangle dynamic
	  code inserted into comments

2013-04-15 10:18  donncha

	* wp-cache.php: Remove ending mfunc etc tags to mangle
	  multi-comment tags

2013-04-12 14:00  donncha

	* wp-cache-phase2.php: Escape urls in "last cached" list

2013-04-12 13:59  donncha

	* wp-cache-phase2.php, wp-cache.php: Disable mfunc and related
	  tags. Add an option on the settings page.

2013-04-12 11:39  donncha

	* readme.txt: Slightly modified the warning in the upgrade notice

2013-04-12 11:29  donncha

	* Changelog.txt: Updated changelog

2013-04-12 11:25  donncha

	* readme.txt, wp-cache.php: Bump version to 1.3.1

2013-04-12 11:13  donncha

	* readme.txt: Updated changelog and documentation

2013-04-12 10:42  donncha

	* plugins/awaitingmoderation.php, plugins/badbehaviour.php,
	  plugins/domain-mapping.php, plugins/searchengine.php,
	  plugins/wptouch.php, wp-cache.php: Fixed XSS problems with
	  REQUEST_URI on the settings page.

2013-04-11 11:18  donncha

	* Changelog.txt: Updated changelog

2013-04-11 11:14  donncha

	* readme.txt, wp-cache.php: Bump version tested to 3.5.1 and
	  version to 1.3

2013-04-11 11:07  donncha

	* readme.txt: Updated changelog

2013-04-11 10:39  donncha

	* wp-cache.php: Remove mfunc, mclude and dynamic-cached-content
	  tags from comments. Props Frank Goossen
	  (http://blog.futtta.be/2013/04/10/wp-safer-cache-stopgap-for-wordpress-cache-plugins-vulnerability/)
	  and kisscsaby
	  (http://wordpress.org/support/topic/pwn3d?replies=6)

2012-12-13 08:17  donncha

	* readme.txt: Bumped tested version to 3.5

2012-12-03 09:59  donncha

	* wp-cache-phase2.php: Hide these fs warnings from the logs

2012-10-24 06:17  donncha

	* wp-cache.php: Don't mention GoDaddy in the 304 warning, it's
	  hopefully fixed.

2012-10-08 10:07  donncha

	* wp-cache-phase1.php, wp-cache.php: * Use LOGGED_IN_COOKIE in more
	  places, props askapache
	  * Make sure to check if that constant is defined before using it
	  to avoid fatal errors
	  * Added wpsc_get_logged_in_cookie() to get cookie value without
	  requiring rewrites of the .htaccess file

2012-10-05 11:39  donncha

	* Changelog.txt: Updated changelog for version 1.2

2012-10-05 11:36  donncha

	* readme.txt, wp-cache.php: * Updated version to 1.2 and bumped
	  tested version.
	  * Added changelog for 1.2

2012-10-04 20:31  donncha

	* wp-super-cache.pot: Updated translation file

2012-10-04 20:27  donncha

	* wp-cache-phase1.php: Check for $wp_cache_disable_utf8 when
	  serving supercache files from PHP, like it affects mod_rewrite
	  served files.

2012-09-21 16:04  donncha

	* wp-cache.php: Oops, fixed a minor typo

2012-09-21 16:01  donncha

	* wp-cache.php: Set up the cached pages counter correctly, see
	  http://wordpress.org/support/topic/plugin-wp-super-cache-confusing-information-in-cached-pages-since?replies=2

2012-09-19 21:15  donncha

	* wp-cache.php: Fixed term link when preloading, props Stefan
	  Parmark

2012-08-30 11:53  donncha

	* wp-cache.php: Remove is_main_blog() calls, requires 3.0 already.
	  Props angelxas.
	  http://wordpress.org/support/topic/plugin-wp-super-cache-crashes-wp-341-multisite?replies=2

2012-08-30 10:59  donncha

	* wp-cache.php: Very minor whitespace fix

2012-08-30 10:39  donncha

	* wp-cache-phase2.php: Make sure sites that upgrade to 1.0 don't
	  schedule the GC too often, props tigertech, fixed #1569.
	  http://wordpress.org/support/topic/wp-super-cache-causes-high-doing_wp_cron-load?replies=3

2012-08-30 10:32  donncha

	* wp-cache.php: Allow editors to delete cached files for specific
	  pages via the admin bar. See
	  http://wordpress.org/support/topic/plugin-wp-super-cache-allow-editor-role-to-delete-cache?replies=8

2012-08-03 09:57  donncha

	* wp-cache.php: * Added warning if garbage collection wasn't
	  enabled
	  * schedule watcher job when GC form is submitted
	  * Enable GC when using the easy settings page

2012-08-03 09:53  donncha

	* wp-cache-phase2.php: Added function to create garbage collection
	  flag filename.

2012-07-30 09:01  donncha

	* wp-cache-phase2.php: Use GC flag wp_cache_gc.txt in cache
	  directory so watcher job doesn't schedule a GC when it's already
	  running

2012-07-30 08:58  donncha

	* wp-cache-phase2.php: If wp_cache_gc job is NOT scheduled then we
	  need to schedule a new one in the watcher job

2012-07-27 10:20  donncha

	* wp-super-cache.pot: Updated translation pot file

2012-07-27 10:17  donncha

	* languages/wp-super-cache-zh_CN.po: Updated translation, props
	  Christopher Meng

2012-07-27 09:48  donncha

	* readme.txt: Updated docs on late init, props Storm.
	  http://wordpress.org/support/topic/plugin-wp-super-cache-mfunc-issue?replies=4#post-3018123

2012-07-27 09:39  donncha

	* wp-cache-phase2.php, wp-cache.php: * Added a garbage collection
	  watcher job to restart GC if it somehow fails.
	  * Clear gc hooks when uninstalling
	  * Added a check for shutdown gc when scheduling default gc

2012-07-27 09:14  donncha

	* wp-cache.php: Enable garbage collection when activating caching

2012-07-24 08:56  donncha

	* wp-cache.php: Fix some links and add a link to the development
	  version

2012-07-17 19:16  donncha

	* wp-cache-phase1.php: Use the supercached mobile files, props
	  turtlehat,
	  http://wordpress.org/support/topic/plugin-wp-super-cache-why-_mobile-instead-of-mobile-after-wp_cache_check_mobile-action?replies=2

2012-07-16 13:04  donncha

	* wp-cache-phase1.php: Move call to
	  wp_supercache_cache_for_admins() down after loading supercache
	  plugins. Props rapidstrider,
	  http://wordpress.org/support/topic/plugin-wp-super-cache-wp_supercache_remove_cookies-not-working

2012-07-16 12:59  donncha

	* wp-cache-phase1.php: Added support for LOGGED_IN_COOKIE constant,
	  props Askapache

2012-07-12 16:47  donncha

	* wp-cache-phase1.php: Fixes problems updating cache files on
	  directory installs. Props Naki-BoT,
	  http://wordpress.org/support/topic/plugin-wp-super-cache-wordpress-in-directory-and-cache-on-post-edit-not-removed

2012-07-10 13:37  donncha

	* wp-cache.php: * Added warning if WordPress is installed in a
	  folder and served from root
	  * Added Dismiss buttons on htaccess and readable wp-content
	  warnings.

2012-07-10 07:50  donncha

	* wp-cache.php: Change deactivate hook to uninstall hook so updates
	  don't delete the old configuration

2012-06-27 10:14  donncha

	* languages/wp-super-cache-zh_TW.mo,
	  languages/wp-super-cache-zh_TW.po: Updated translation, props
	  priv

2012-06-26 12:21  donncha

	* plugins/wptouch.php: Check WPTouch Pro cookies here too

2012-06-26 10:26  donncha

	* plugins/wptouch.php: Support WPTouch Pro switch to desktop,
	  hopefully.

2012-06-22 16:19  donncha

	* Changelog.txt: Updated changelog

2012-06-21 15:14  donncha

	* wp-cache-phase2.php: Added new constant, "WPSCFORCEUPDATE" that
	  will disable the draft post check if defined

2012-06-21 15:08  donncha

	* wp-cache-phase2.php: Only check dupe posts after the post has
	  been published

2012-06-21 09:46  donncha

	* wp-super-cache.pot: Updated translation file

2012-06-21 09:37  donncha

	* readme.txt: Updated credits for translations

2012-06-21 09:25  donncha

	* languages/wp-super-cache-zh_CN.mo,
	  languages/wp-super-cache-zh_CN.po: Updated translation, props
	  Christopher Meng.

2012-06-21 09:21  donncha

	* languages/wp-super-cache-zh_TW.mo,
	  languages/wp-super-cache-zh_TW.po: Updated translation, props
	  Priv

2012-06-21 08:53  donncha

	* wp-cache-phase2.php: wp_cache_post_edit() checks if the current
	  post has been processed already. Now that check only happens
	  after a post is published. Possibly fixes scheduled posts
	  problems for some users.

2012-06-20 09:32  donncha

	* wp-cache-base.php: Avoid raising a warning on strpos, see
	  http://wordpress.org/support/topic/plugin-wp-super-cache-wp-super-cache-warning-strpos-functionstrpos-offset-not-contained-in-stri?replies=2

2012-06-13 21:55  donncha

	* readme.txt: Bump tested version

2012-06-12 12:52  donncha

	* wp-cache.php: No need to schedule a single job if it's going to
	  be scheduled for a particular time.

2012-06-12 11:37  donncha

	* wp-cache-base.php, wp-cache-phase1.php, wp-cache-phase2.php,
	  wp-cache.php: Use HTTP_HOST instead of SERVER_NAME because nginx
	  has problems with it.

2012-06-11 16:00  donncha

	* advanced-cache.php, readme.txt, wp-cache.php: Move
	  advanced-cache.php path into wp-config.php by defining
	  WPCACHEHOME there.

2012-06-11 13:40  donncha

	* wp-cache.php: Fixed DO NOT CACHE PAGE url, props netrival,
	  http://wordpress.org/support/topic/plugin-wp-super-cache-possible-low-priority-bug-do-not-cache-page-secret-key-showing-wrong-link?replies=1

2012-06-11 13:39  donncha

	* wp-cache.php: Hide another variable warning

2012-06-11 13:23  donncha

	* wp-cache.php: Hide "tab" variable warning

2012-06-11 12:06  donncha

	* wp-cache-phase2.php: Forgot these carriage returns in the debug
	  messages

2012-06-11 11:56  donncha

	* wp-cache-phase1.php: Remove warning if this isn't set

2012-06-08 15:05  donncha

	* wp-cache-phase1.php: Fixed serving of gzipped content to clients
	  who who don't tell us either way. Fixes #1528. Props pioto

2012-06-07 16:04  donncha

	* plugins/badbehaviour.php, plugins/domain-mapping.php,
	  plugins/searchengine.php, plugins/wptouch.php,
	  wp-cache-config-sample.php, wp-cache.php: Get rid of PHP notices,
	  props @simonwheatley

2012-06-05 14:34  donncha

	* wp-cache.php: Don't stop processing form input because
	  wp-cron.php isn't found. We should still inform the user though.

2012-05-30 16:22  donncha

	* wp-cache-phase2.php, wp-cache.php: Added option on Debug page to
	  disable caching comments on public pages.

2012-05-28 08:46  donncha

	* wp-cache-phase1.php: Fix fatal error when "make known users
	  anonymous" is selected

2012-05-23 14:35  donncha

	* wp-cache.php: Check that get_supercache_dir exists before calling
	  it. Props @hewsut

2012-05-23 12:16  donncha

	* wp-cache.php: Added note about moving supercache plugins.

2012-05-23 10:26  donncha

	* readme.txt, wp-cache.php: Bump version and stable versions for
	  new release

2012-05-23 10:24  donncha

	* Changelog.txt, readme.txt: Updated changelog

2012-05-23 10:17  donncha

	* wp-super-cache.pot: Updated translation file

2012-05-23 10:14  donncha

	* wp-cache.php: Remove mentions of wp-minify as that plugin doesn't
	  exist any more

2012-05-23 10:06  donncha

	* wp-super-cache.pot: Updated translation file

2012-05-23 10:04  donncha

	* wp-cache.php: Added message to yellow box.

2012-05-23 10:03  donncha

	* wp-super-cache.pot: Updated translation file

2012-05-17 15:36  donncha

	* wp-cache-phase1.php, wp-cache.php: Remove the debug log level, I
	  always recommend level 5 anyway.

2012-05-14 16:32  donncha

	* wp-cache.php: Correctly check $wp_cache_disable_utf8 is not set

2012-05-11 15:24  donncha

	* Changelog.txt, readme.txt: Added changelog entries for 1.0 and
	  1.1

2012-05-11 15:02  donncha

	* wp-super-cache.pot: Updated translation file

2012-05-10 11:14  donncha

	* wp-cache-phase2.php: Create the legacy cache dir if it's not
	  there

2012-05-10 10:50  donncha

	* wp-cache-phase2.php: Added wp_cache_clear_cache_on_menu() to
	  clear the cache when the navigation menu is modified

2012-05-10 10:41  donncha

	* wp-cache-phase2.php: Revert previous change,
	  wp_cache_clear_cache() with no parameter is supposed to clear out
	  all cached files

2012-05-10 10:32  donncha

	* wp-cache-phase2.php: Only clear the cache for the current blog,
	  not all blogs

2012-05-10 10:28  donncha

	* wp-cache-phase2.php: Only clear the cache cache of the current
	  blog when "clear all cache on new post" is enabled, not all blogs

2012-05-10 10:25  donncha

	* wp-cache-phase2.php: Added $blog_id parameter to
	  wp_cache_clear_cache() so only one blog's cache files are deleted
	  (except legacy files, all deleted regardless)

2012-05-10 10:22  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Put code that creates
	  the cache/blogs/ directories into a function so it doesn't get
	  called all the time, slight speed up and less empty directories

2012-05-10 10:08  donncha

	* wp-cache-phase2.php: Added "clean_post_cache" action to clear
	  cache but stop the function being called twice

2012-05-10 10:07  donncha

	* wp-cache-phase1.php: Add $blog_id parameter to get_supercache_dir
	  function to get the directory for that blog

2012-05-01 17:01  donncha

	* wp-cache.php: Removed "Last GC" time as it's on the advanced
	  settings page.

2012-05-01 16:50  donncha

	* plugins/wptouch.php, wp-cache-phase1.php: Added
	  wp_cache_check_mobile filter to short circuit mobile check. See
	  http://wordpress.org/support/topic/wp-super-cache-and-wptouch?replies=2

2012-04-26 07:51  donncha

	* wp-cache-phase2.php: Don't delete cached files on draft post
	  save, props jrevillini
	  http://wordpress.org/support/topic/plugin-wp-super-cache-clear-all-cache-shouldnt-be-executed-on-a-draft-post?replies=7#post-2760461

2012-04-13 14:05  donncha

	* wp-cache-phase2.php: Added action for wp_trash_post so it clears
	  the cache

2012-04-13 14:02  donncha

	* wp-cache.php: Show more files in the file listing

2012-04-13 13:21  donncha

	* wp-cache.php: Show a warning when 304 browser caching is disabled

2012-03-12 08:57  donncha

	* wp-cache.php: If site is running less than PHP 5.3.0 then check
	  for safe mode. Props cyberws,
	  http://wordpress.org/support/topic/plugin-wp-super-cache-php-53-compatibility

2012-03-07 10:59  donncha

	* wp-cache-phase1.php: Reverse logic on the remove cookies filter

2012-03-07 10:55  donncha

	* wp-cache-phase1.php: Added a filter,
	  'wp_supercache_remove_cookies' that decides if cookies should be
	  removed on a per request basis. See
	  http://wordpress.org/support/topic/plugin-wp-super-cache-make-known-users-anonymous-breaks-autheticated-commenting

2012-03-01 11:52  donncha

	* wp-cache.php: Fixed cache schedule dropdown

2012-02-22 22:03  donncha

	* wp-cache-base.php, wp-cache.php: Check that WP_MULTI_SITE is true
	  as well!

2012-02-22 22:02  donncha

	* wp-cache-phase2.php: No need to call this twice, removed second
	  call.

2012-02-17 10:09  donncha

	* wp-super-cache.pot: Updated translation file

2012-02-16 14:18  donncha

	* wp-cache.php: Added a title to the Delete Cache admin menu link

2012-02-16 13:55  donncha

	* wp-cache-base.php, wp-cache.php: Check for VHOST as well as
	  MULTISITE checks for sites that upgrade from MU and don't have
	  that constant set.

2012-02-15 22:11  donncha

	* wp-cache.php: When preloading, don't preload page_on_front or
	  page_for_poss pages as that will probably clear the cache. Props
	  te-deum. See
	  http://wordpress.org/support/topic/plugin-wp-super-cache-preloaded-pages-not-created-until-user-visits?replies=28#post-2627649

2012-02-09 19:28  donncha

	* wp-cache-phase2.php: Disable caching AFTER actions added so cache
	  is cleared

2012-02-09 18:17  donncha

	* wp-cache-phase1.php: If SERVER_NAME isn't defined then use
	  HTTP_HOST

2012-02-09 18:03  donncha

	* wp-cache-phase2.php: Hopefully fix moderation/administration of
	  comments.

2012-02-09 16:09  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Check if variables
	  defined and avoid warnings

2012-02-09 15:53  donncha

	* wp-cache-phase1.php: Check that site_url returns something and
	  deal with it if it doesn't. PHP is weird sometimes.
	  http://wordpress.org/support/topic/wp-super-cache-not-refreshing-post-after-comments-made

2012-02-09 14:01  donncha

	* wp-cache-phase2.php: Check if referer is comments admin page to
	  decide what to delete, all or single page.

2012-02-09 13:59  donncha

	* wp-cache-base.php, wp-cache-phase1.php, wp-cache.php: Replace
	  HTTP_HOST with SERVER_NAME, props _ck_
	  http://wordpress.org/support/topic/plugin-wp-super-cache-minor-bug-with-use-of-_serverhttp_host-instead-of-_serverserver_name

2012-02-09 13:58  donncha

	* wp-cache-phase2.php: Add slashes to page urls when doing GC

2012-02-09 13:49  donncha

	* wp-cache.php: This error points at the wrong place in the docs

2012-02-03 09:30  donncha

	* wp-cache.php: Added link to Cron View, a plugin that can help
	  debug wp-cron problems

2012-01-30 13:44  donncha

	* readme.txt: Added link to Cron View plugin to help diagnose
	  crontab problems

2012-01-30 12:00  donncha

	* wp-cache-phase2.php: CRON requests are non empty GET requests so
	  we want to ignore those params

2012-01-30 11:22  donncha

	* wp-cache.php: Add description of GC notification emails checkbox

2012-01-30 11:21  donncha

	* wp-cache.php: Make it clearer that GC jobs are scheduled to UTC
	  times

2012-01-30 09:19  donncha

	* wp-cache.php: Make preloading of taxonomies optional, see
	  http://wordpress.org/support/topic/wp-super-cache-causes-time-out-on-file-delete-with-rackspace-cloudsites?replies=12

2012-01-30 09:16  donncha

	* wp-cache.php: Fixes for PHP warnings, props vStone, lots more to
	  come when I have time.
	  http://plugins.trac.wordpress.org/ticket/1466

2012-01-23 09:19  donncha

	* wp-cache.php: Use get_supercache_dir() rather than hardcoding the
	  supercache directory

2012-01-23 09:18  donncha

	* plugins/domain-mapping.php, wp-cache-phase1.php: Added
	  'wp_super_cache_supercachedir' filter on supercache directory and
	  modified domain mapping plugin to support it, props Matthew
	  Boynes.

2012-01-19 08:23  donncha

	* plugins/wptouch.php: Check if wptouch functions exist before
	  filtering browsers

2012-01-18 11:38  donncha

	* readme.txt: Added warning that files in the cache directory are
	  prone to be deleted. See
	  http://ocaoimh.ie/2012/01/18/a-cache-directory-is-a-temporary-directory/

2012-01-13 09:27  donncha

	* wp-cache-phase2.php: Check that function returns false as it can
	  return 0 if not files deleted

2012-01-11 10:59  donncha

	* wp-cache-phase2.php: Clear out the global /page/* pages when a
	  post is published

2012-01-11 10:58  donncha

	* wp-cache-phase1.php: Remove https from the home url to get the
	  supercache dir

2012-01-10 14:42  donncha

	* wp-cache-phase2.php: Just some more debug messages!

2012-01-10 14:41  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php, wp-cache.php: Added
	  options:
	  * disable caching if GET is not empty.
	  * disable the blog_charset .htaccess directive which I added back
	  in.

2012-01-10 14:37  donncha

	* wp-cache.php: don't check the mobile prefix or browser strings
	  against the rewrite rules when they're empty. Any changes will be
	  caught further down anyway

2012-01-09 22:33  donncha

	* wp-cache.php: I forgot that do_cacheaction() isn't defined before
	  the plugin is configured! See
	  http://wordpress.org/support/topic/plugin-wp-super-cache-my-page-2-is-randomly-redirecting-to-other-posts?replies=19#post-2549174

2012-01-05 17:04  donncha

	* plugins/multisite.php, wp-cache.php: Disable the settings page
	  when caching disabled on Site admin page.

2012-01-05 15:52  donncha

	* plugins/multisite.php: Added multisite Network Admin Sites
	  "Cached" column

2012-01-05 12:51  donncha

	* wp-cache-phase2.php: Cache the output of is_* functions used by
	  the plugin because $wp_query may be destroyed by the PHP
	  destructor. See
	  http://ocaoimh.ie/2012/01/04/wp-super-cache-bug-fixing-and-php-object-destruction/

2012-01-04 16:22  donncha

	* wp-cache.php: Removed unneeded debug log

2012-01-04 16:04  donncha

	* wp-cache.php: Put preload taxonomy code within posts limit checks
	  so it doesn't do extra preloads!

2012-01-04 16:02  donncha

	* wp-cache.php: Check if number of posts is less than post limit so
	  preload finishes without trying to do an extra 100 posts

2012-01-04 16:01  donncha

	* wp-cache.php: Update preload counter before taxonomy preload so
	  the admin page shows the preload action

2012-01-04 16:00  donncha

	* wp-cache-phase2.php, wp-cache.php: Added lots more debugging -
	  prune_super_cache and preload functions

2012-01-04 11:56  donncha

	* plugins/wptouch.php: Make sure ua list is an array as it's stored
	  as a string

2012-01-04 10:26  donncha

	* wp-cache-phase2.php: Fixed minor typo in debug log message

2012-01-04 10:20  donncha

	* wp-cache-phase2.php: Only write meta cache file if not using only
	  supercache files.

2012-01-04 10:16  donncha

	* wp-cache-phase2.php: Check if $wp_query is defined before
	  checking for is_feed, is_search etc.

2012-01-04 09:57  donncha

	* wp-cache-phase2.php: Correctly check if GET is empty for anon
	  caching

2012-01-04 09:08  donncha

	* plugins/searchengine.php: Update plugin admin page to match other
	  plugins

2012-01-04 00:03  donncha

	* wp-cache-phase2.php: Make sure we don't write anon files for GET
	  requests, see
	  http://wordpress.org/support/topic/plugin-wp-super-cache-my-page-2-is-randomly-redirecting-to-other-posts?replies=5

2012-01-03 23:58  donncha

	* wp-cache-phase2.php: Write meta file if user is not using
	  supercacheonly or is not logged in, not AND.

2012-01-03 18:14  donncha

	* wp-cache-phase2.php: Make sure a post is published before
	  removing cache files. Props _ck_, see
	  http://wordpress.org/support/topic/plugin-wp-super-cache-found-possible-bug-with-starting-new-post

2012-01-03 18:08  donncha

	* plugins/wptouch.php, wp-cache-phase1.php, wp-cache.php: Added
	  WPTouch plugin to modify browser list and prefix list and added
	  support for exclude list in that plugin.

2012-01-03 13:12  donncha

	* wp-cache.php: Use display text for scheduled interval.

2012-01-03 11:02  donncha

	* ossdl-cdn.php: Make sure $arr_of_excludes is an array always to
	  avoid stristr warning

2011-12-22 13:16  donncha

	* wp-cache.php: Don't check the blog_id if the site isn't a
	  multisite network.

2011-12-22 12:39  donncha

	* wp-cache.php: Only show the "Delete Cache" link in the admin bar
	  when caching off for known users

2011-12-15 08:57  donncha

	* wp-cache.php: Make sure pages returned by cache tester are not
	  error objects!

2011-12-11 09:05  donncha

	* wp-cache.php: Delete index files rather than directory when
	  deleting post supercache files.

2011-12-11 09:04  donncha

	* wp-cache-phase2.php: Added another debug message

2011-12-10 22:31  donncha

	* wp-cache-phase2.php: Add the cache age limit to the debug message
	  when a cache file is deleted during GC

2011-12-10 22:30  donncha

	* wp-cache-phase2.php: Filter the tags that are checked at the end
	  of a web document with a 'wp_cache_eof_tags' filter. See
	  http://wordpress.org/support/topic/plugin-wp-super-cache-feature-request-test-for-opening-xml-tag-in-wp_cache_get_ob?replies=4

2011-12-10 10:50  donncha

	* wp-cache.php: Fix schedule frequency form,
	  http://wordpress.org/support/topic/plugin-wp-super-cache-garbage-collection-scheduler-interval-not-saved-always-hourly?replies=2

2011-12-10 10:02  donncha

	* wp-cache.php: Clear out wp-cache legacy files from root cache dir
	  as well as blogs directories

2011-12-10 10:01  donncha

	* readme.txt: Attempt to fix formatting of FAQ

2011-12-06 17:04  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Check if the rejected
	  uri or ua is an array.

2011-12-06 15:13  donncha

	* wp-super-cache.pot: Updated the translation file

2011-12-06 12:44  donncha

	* wp-cache.php: Explain that cancelling a preload may take some
	  time.

2011-12-06 12:22  donncha

	* wp-cache.php: Move preload notifications around and added
	  notification for taxonomy preload

2011-12-05 20:42  donncha

	* readme.txt: Bump the WP version number.

2011-12-05 18:01  donncha

	* readme.txt, wp-cache.php: Bump version to 1.0

2011-12-05 17:58  donncha

	* Changelog.txt: Updated changelog

2011-12-05 17:56  donncha

	* wp-super-cache.pot: Updated the translation file

2011-12-05 17:50  donncha

	* wp-cache.php: Added warning about preload mode to expiry settings
	  form

2011-12-05 16:58  donncha

	* wp-cache.php: Small changes to scheduling form.

2011-12-05 11:18  donncha

	* readme.txt, wp-cache.php: Added FAQ for mobile plugins and
	  changed text in settings page slightly

2011-12-05 10:28  donncha

	* readme.txt, wp-cache.php: Removed AddDefaultCharset and added
	  note to readme.txt, see
	  http://wordpress.org/support/topic/plugin-wp-super-cache-please-please-please-leave-adddefaultcharset-out-of-htaccess?replies=3

2011-12-01 15:48  donncha

	* wp-super-cache.pot: Updated translation file

2011-11-30 17:57  donncha

	* wp-cache-phase1.php, wp-cache.php: Fix for blogs that use a
	  folder install and don't have a trailing slash. See
	  http://wordpress.org/support/topic/plugin-wp-super-cache-one-of-the-root-causes-of-the-timestamps-difference

2011-11-30 11:42  donncha

	* wp-cache-phase2.php, wp-cache.php: Set these scheduling variables

2011-11-29 12:09  donncha

	* wp-cache-phase2.php: Cast the number of deleted files and
	  directories as an int, because false !== 0

2011-11-29 10:49  donncha

	* wp-cache.php: Minor text change, props talgalili

2011-11-29 09:41  donncha

	* wp-cache.php: Minor text changes, fixes to labels

2011-11-29 09:34  donncha

	* wp-cache-phase2.php: Record how many files were deleted by cron
	  job

2011-11-28 22:39  donncha

	* wp-cache-phase2.php, wp-cache.php: Revamped scheduling of garbage
	  collection system. WIP.

2011-11-24 17:57  donncha

	* wp-cache.php: Added an admin bar link to delete the cache for the
	  current page, but only if no caching for known users.

2011-11-23 17:13  donncha

	* readme.txt: Added more troubleshooting tips

2011-11-21 11:30  donncha

	* wp-super-cache.pot: Updated translation file

2011-11-21 10:37  donncha

	* wp-cache.php: Ooops, don't forget Stephen here too!

2011-11-21 10:27  donncha

	* wp-cache.php: Digg is old hat, it's Stephen Fry now.

2011-10-26 17:29  donncha

	* readme.txt: Updated translation credits

2011-10-26 17:25  donncha

	* languages/wp-super-cache-ru_RU.mo,
	  languages/wp-super-cache-ru_RU.po: Updated Russian translation by
	  Elvis

2011-10-26 17:23  donncha

	* wp-super-cache.pot: Updated translation file

2011-10-26 17:21  donncha

	* languages/wp-super-cache-zh_TW.mo,
	  languages/wp-super-cache-zh_TW.po: Updated translation, props
	  Priv

2011-10-26 17:16  donncha

	* languages/wp-super-cache-ro_RO.mo,
	  languages/wp-super-cache-ro_RO.po: Added Romanian translation,
	  props Michail Bogdanov, http://www.webhostinghub.com/

2011-10-26 17:10  donncha

	* languages/wp-super-cache-be_BY.mo,
	  languages/wp-super-cache-be_BY.po: Added Belarusian translation,
	  props Alexander Alexandrov, http://www.designcontest.com/

2011-10-26 17:02  donncha

	* languages/wp-super-cache-lt_LT.mo,
	  languages/wp-super-cache-lt_LT.po: Added Lithuanian translation,
	  props Nata Strazda, www.webhostingrating.com

2011-10-26 16:41  donncha

	* wp-cache-phase2.php: Revert [66003] so supercache files are
	  cleared always. http://plugins.trac.wordpress.org/changeset/66003

2011-10-26 16:24  donncha

	* wp-cache-phase2.php: Remove $permalink, as $dir already has the
	  permalink, props Alex Bitsche

2011-10-24 17:10  donncha

	* wp-cache-phase2.php: Delete the cached file in the right
	  directory. Props Alex Bitsche.

2011-10-20 15:08  donncha

	* wp-cache.php: Colour code the cache tester results

2011-10-19 12:01  donncha

	* wp-cache.php: Preload all post types except for revisions and nav
	  menu items

2011-10-19 11:15  donncha

	* wp-cache.php: * Populate preload counter if not set.
	  * Preload 50 taxonomy pages at a time rather than 10
	  * Push current taxonomy page into permalink text file

2011-10-18 17:05  donncha

	* wp-cache.php: Preload can now preload taxonomies, use
	  'wp_cache_preload_taxonomies' filter to change taxonomies.

2011-10-18 15:31  donncha

	* readme.txt: Minor typo fix and added a new FAQ: "What does the
	  Cache Rebuild feature do?"

2011-10-11 16:48  donncha

	* wp-cache.php: Make the file listing wider

2011-10-11 16:47  donncha

	* wp-cache.php: Correct the "Hide list" link

2011-10-11 16:43  donncha

	* wp-cache.php: Regenerate the list of files correctly.

2011-10-11 16:13  donncha

	* wp-cache-phase2.php: Hide preg_match warnings like
	  http://wordpress.org/support/topic/plugin-wp-super-cache-errors-shown-at-top-of-cached-pages?replies=6

2011-10-11 16:00  donncha

	* wp-cache-phase2.php: Make "Page not cached message a bit clearer"

2011-09-09 08:26  donncha

	* wp-cache.php: Fix empty date param, props hew, fixes
	  http://plugins.trac.wordpress.org/ticket/1378

2011-08-29 14:35  donncha

	* wp-cache.php: Added docs suggesting what to do when cache tester
	  doesn't work.

2011-07-27 17:30  donncha

	* languages/wp-super-cache-ua_UA.mo,
	  languages/wp-super-cache-ua_UA.po, readme.txt: Added Ukranian
	  translation, props Alyona Lompar.

2011-07-25 11:13  donncha

	* wp-cache-phase1.php: Allow previews by logged in users, even when
	  they're made anon on the blog.

2011-07-22 15:42  donncha

	* wp-cache-phase1.php, wp-cache.php: Make it "known users" rather
	  than logged in users, and interrogate $_COOKIE directly

2011-07-22 15:10  donncha

	* wp-cache-phase1.php, wp-cache.php: Added option to make logged in
	  users anonymous so they're served static cached files. Props
	  DrEmixam,
	  http://wordpress.org/support/topic/plugin-wp-super-cache-not-caching-pages-for-logged-in-users-1

2011-07-20 11:29  donncha

	* readme.txt: Bump tested and requried versions.

2011-07-20 11:25  donncha

	* wp-cache-base.php, wp-cache-config-sample.php: Update multisite
	  detection to 3.0 standards. Fixes caching of XML sitemaps

2011-07-15 09:49  donncha

	* ossdl-cdn.php: Generate hash keys so files are served from the
	  same CDN on multisite networks.

2011-07-13 12:55  donncha

	* wp-cache-phase2.php, wp-cache.php: * On multisite networks add a
	  new button "Delete cache on all blogs" for superadmins.
	  * Deleting cache now only deletes cache for that blog

2011-07-12 06:13  donncha

	* wp-cache.php: Put ' around the cache secret key, props Simon
	  Prosser.

2011-07-11 16:51  donncha

	* wp-cache-phase1.php, wp-cache.php: Added "donotcachepage" GET
	  parameter to disable cache on page.

2011-07-11 15:49  donncha

	* wp-cache-phase2.php, wp-cache.php: Added support for is_author()
	  exclusion

2011-07-11 15:41  donncha

	* wp-cache-phase2.php: Only rebuild the current url, or the
	  homepage will never be updated

2011-07-11 14:52  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: * Added
	  get_supercache_dir() and modified get_all_supercache_filenames()
	  to take a directory name.
	  * get_all_supercache_filenames() now scans the given directory
	  for index files.
	  * Scan root dir for rebuild files now

2011-07-01 08:32  donncha

	* readme.txt: Added link to codex page on permissions, props
	  Ipstenu

2011-06-30 13:07  donncha

	* readme.txt: Added new faq, "How many pages can I cache?"

2011-06-27 09:29  donncha

	* wp-cache-phase2.php: Fix for when strlen() doesn't work on binary
	  data. See
	  http://wordpress.org/support/topic/plugin-wp-super-cache-patch-strlen-vs-utf8-mbstringfunc_overload-2

2011-06-17 08:45  donncha

	* wp-cache-phase1.php: Fix cache action array check, see
	  http://wordpress.org/support/topic/plugin-wp-super-cache-bug-report?replies=3#post-2171915

2011-06-03 15:32  donncha

	* wp-cache-phase1.php: Added "cache_init" action that fires on
	  every page, uncached or PHP cached.

2011-05-24 15:52  donncha

	* wp-cache.php: Remove duplicate / from rewrite rules and display
	  diff of rules when they're different.

2011-05-24 10:48  donncha

	* wp-cache.php: Don't stop the settings page when wp-cron.php is
	  missing.

2011-05-06 17:00  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Allow mobile check to
	  modify supercache index.html filename rather than cache key

2011-05-06 15:00  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php, wp-cache.php: Add a
	  string to the index.html instead of using a new directory

2011-04-28 09:51  donncha

	* wp-cache.php: Added lowercase root directory in supercache dir in
	  .htaccess rules. Fixes
	  http://wordpress.org/support/topic/plugin-wp-super-cache-mod_rewrite-caching-fails-if-wp-is-in-sub-directory-with-upper-case-letters?replies=4
	  I hope

2011-04-27 15:08  donncha

	* wp-cache.php: heck perms of ABSPATH in case webserver has write
	  access anyway.

2011-04-25 09:49  donncha

	* wp-cache.php: Handle problems with the cache tester before trying
	  to save the failed page.

2011-04-23 19:01  donncha

	* ossdl-cdn.php: If cdn url is blank then don't try to rewrite
	  urls. Possible fix for
	  http://wordpress.org/support/topic/plugin-wp-super-cache-ossdl-cdn-off-linker-not-working-from-super-cache?replies=5

2011-03-30 18:03  donncha

	* wp-cache.php: Convert directory permsissions to octal and make
	  sure group and world aren't writable if directory is writable.
	  Fixes http://plugins.trac.wordpress.org/ticket/1291

2011-03-30 14:11  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Use supercache base
	  dirs in wp_cache_post_id_gc() too

2011-03-21 16:10  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php, wp-cache.php: Support
	  more than 1 supercache directory, props Simon Wheatley
	  http://wordpress.org/support/topic/patch-allowing-multiple-static-cache-dirs-for-wp-super-cache

2011-03-21 14:10  donncha

	* wp-cache-phase1.php, wp-cache.php: Added support for http and
	  https caching, props 0blivian, see
	  http://wordpress.org/support/topic/wp-super-cache-protocol-aware-caching-patch?replies=3

2011-03-15 11:07  donncha

	* readme.txt, wp-cache-phase1.php, wp-cache.php: Change expiry of
	  html files from 300 seconds to 3 seconds

2011-03-15 11:02  donncha

	* wp-cache-phase1.php: Don't issue 304 headers for known users to
	  avoid problems when people logout. See
	  http://wordpress.org/support/topic/plugin-wp-super-cache-logged-in-but-actually-not/page/2?replies=33#post-1998397

2011-03-01 19:47  donncha

	* wp-cache-phase1.php: Make uri lowercase, not filesystem path
	  because the FS is case sensitive

2011-03-01 19:02  donncha

	* wp-cache-phase2.php: Remember to create the cache directory, in
	  legacy mode or supercache mode!

2011-02-28 22:18  donncha

	* readme.txt, wp-cache.php: Bump version to 0.9.9.9

2011-02-28 22:10  donncha

	* readme.txt: Minor typo

2011-02-28 22:09  donncha

	* wp-super-cache.pot: updated translation file

2011-02-27 12:15  donncha

	* wp-cache.php: Fixed typo in permissions message.

2011-02-24 16:48  donncha

	* languages/wp-super-cache-de_DE.mo,
	  languages/wp-super-cache-de_DE.po: Updated German translation,
	  props Mathias Roth (http://trade-service.eu)

2011-02-24 10:23  donncha

	* languages/wp-super-cache-ja.mo, languages/wp-super-cache-ja.po:
	  Updated Japanese translation, props Tai, http://tekapo.com

2011-02-23 18:47  donncha

	* Changelog.txt: Updated changelog

2011-02-23 18:38  donncha

	* readme.txt: Added changelog, and translation credits

2011-02-23 18:36  donncha

	* languages/wp-super-cache-sv_SE.mo,
	  languages/wp-super-cache-sv_SE.po: Added Swedish translation,
	  props Fredrik Forséll

2011-02-23 18:32  donncha

	* languages/wp-super-cache-ru_RU.mo,
	  languages/wp-super-cache-ru_RU.po: Added Russian translation,
	  props Elvis Fweb (http://fweb.org.ru/blog/super-cache-rus)

2011-02-23 18:17  donncha

	* languages/wp-super-cache-tr_TR.mo,
	  languages/wp-super-cache-tr_TR.po: Added Turkish translation,
	  props Barış Ünver

2011-02-23 18:00  donncha

	* wp-super-cache.pot: Updated translation file

2011-02-23 17:56  donncha

	* languages/wp-super-cache-ja.mo, languages/wp-super-cache-ja.po:
	  Updated Japanese translation, props Tai. http://tekapo.com

2011-02-19 09:51  donncha

	* readme.txt: Added FAQ about load spikes

2011-01-26 11:42  donncha

	* wp-cache-phase2.php: Remove the 5 second old check on existing
	  cache files as it may cause problems on pages with frequent
	  comments

2011-01-25 21:23  donncha

	* ossdl-cdn.php: Add osscdl option to skip https loaded static
	  content, see
	  http://wordpress.org/support/topic/plugin-wp-super-cache-toggle-for-conditional-cdn-for-sites-with-some-ssl-https-content?replies=3

2011-01-25 20:40  donncha

	* wp-cache-phase2.php: If caching disabled leave a html comment at
	  the end of the page. Remove a caching check that's no longer
	  needed

2011-01-25 20:27  donncha

	* wp-cache-phase1.php: Make the supercachedir lowercase to avoid
	  problems with unicode characters. See
	  http://wordpress.org/support/topic/plugin-wp-super-cache-not-deleting-cache-on-comment-post
	  and
	  http://wordpress.org/support/topic/plugin-wp-super-cache-still-not-corrected-bug-about-unicode-range-letters-in-permalink

2011-01-18 16:08  donncha

	* readme.txt, wp-cache.php: Added link to
	  http://codex.wordpress.org/Changing_File_Permissions where
	  permissions need to be changed, see
	  http://wordpress.org/support/topic/wp-super-cache-getting-warning-message,
	  props Samuel B

2011-01-18 15:59  donncha

	* wp-cache-phase1.php: Cache get_current_url_supercache_dir() as
	  it's called several times during a request.

2011-01-17 16:29  donncha

	* wp-cache.php: Show mod_rewrite rules even when WordPress rules
	  are not detected.
	  http://wordpress.org/support/topic/plugin-wp-super-cache-module-is-painful-to-use-if-you-dont-use-htaccess?replies=4#post-1890602

2011-01-17 13:35  donncha

	* wp-cache.php: Show the right url to older MU sites, props Raphaël
	  Hertzog,
	  http://twitter.com/#!/raphaelhertzog/statuses/26993300657414145

2011-01-11 11:33  donncha

	* wp-cache-phase2.php: If we're serving a feed we always want to
	  cache that.

2011-01-10 12:13  donncha

	* languages/wp-super-cache-de_DE.mo,
	  languages/wp-super-cache-de_DE.po: Updated German translation by
	  Mathias Roth

2011-01-10 12:09  donncha

	* ossdl-cdn.php: If an image appears more than once on a page serve
	  it from the same CDN hostname. See
	  http://wordpress.org/support/topic/plugin-wp-super-cache-start-page-and-rejected-user-agent?replies=3

2011-01-07 17:04  donncha

	* wp-cache.php: Make sure to use is_front_page(), the function.
	  Props Backie.
	  http://wordpress.org/support/topic/plugin-wp-super-cache-wp_cache_is_home-always-true?replies=2#post-1873743

2011-01-07 12:24  donncha

	* uninstall.php: No need for this uninstall script any more!

2011-01-07 12:20  donncha

	* readme.txt: Bump the tested version

2011-01-07 12:07  donncha

	* readme.txt: Minor typo

2011-01-07 12:02  donncha

	* Changelog.txt: Updated changelog

2011-01-06 17:37  donncha

	* wp-cache.php: Print the text, not __() it, and check if rewrite
	  rules in .htaccess are present before emailing user about it.

2011-01-06 13:21  donncha

	* Changelog.txt: Updated changelog

2011-01-06 13:13  donncha

	* readme.txt: Updated docs

2011-01-06 12:12  donncha

	* readme.txt: Minor changes to docs

2011-01-06 10:03  donncha

	* readme.txt, wp-cache.php: Tagged version 0.9.9.8

2011-01-05 15:02  donncha

	* Changelog.txt, readme.txt: Updated changelogs

2011-01-05 14:54  donncha

	* wp-super-cache.pot: Updated pot file

2011-01-05 14:51  donncha

	* ossdl-cdn.php, wp-cache.php: Fixed link to CDN Sync support
	  forum.

2011-01-05 13:37  donncha

	* wp-super-cache.pot: Updated pot file.

2011-01-05 13:32  donncha

	* ossdl-cdn.php, wp-cache.php: Link to the CDN Sync tool from the
	  Easy settings page too

2011-01-05 13:15  donncha

	* ossdl-cdn.php: Link to CDN Sync Tool on CDN page.

2011-01-05 11:50  donncha

	* Changelog.txt: Updated changelog

2011-01-05 11:46  donncha

	* wp-cache-phase1.php, wp-cache.php: Remove log by email
	  functionality. It cases problems for users when they get too much
	  email

2011-01-05 11:45  donncha

	* wp-cache-phase2.php: Warn user by debug log if cache expiry is
	  zero and therefore no garbage collection

2011-01-04 15:22  donncha

	* languages/wp-super-cache-zh_TW.mo,
	  languages/wp-super-cache-zh_TW.po: Updated Traditional Chinese
	  translation

2011-01-04 12:49  donncha

	* wp-cache.php: Added an extra space to make selecting chmod
	  command easier.

2011-01-04 12:48  donncha

	* wp-cache.php: Flush the rewrite rules after uninstalling. Props
	  @nacin, http://ocaoimh.ie/uninstall-supercache/

2011-01-04 12:42  donncha

	* wp-cache.php: Make uninstall warnings clearer and easier to read,
	  hopefully

2010-12-22 16:22  donncha

	* wp-cache.php: Cast $lines as array to avoid warnings arising from
	  empty config files.

2010-12-22 12:00  donncha

	* wp-cache.php: Remove .htaccess rules if they match the ones in
	  the plugin, else email the blog admin that there's a problem.

2010-12-21 14:26  donncha

	* readme.txt: Updated docs to reflect changes to caching modes and
	  uninstall instructions

2010-12-21 12:52  donncha

	* wp-cache.php: Let's tidy up and add some space

2010-12-21 12:44  donncha

	* wp-cache.php: * Added code to remove plugin files when plugin
	  deactivated.
	  * Show cache contents even when caching is disabled.
	  * Minor fixes

2010-12-21 12:17  donncha

	* wp-cache.php: Fixed easy page "Update Status" button, it was
	  triggering the cache tester

2010-12-20 15:26  donncha

	* wp-cache.php: Put cache tester and delete buttons on the "Easy"
	  setup page.

2010-12-20 14:43  donncha

	* wp-cache-phase1.php: Allow functions in classes to be used in
	  cacheactions. Props exz,
	  http://wordpress.org/support/topic/plugin-wp-super-cache-use-function-in-a-class-with-add_cacheaction?replies=1

2010-12-17 18:32  donncha

	* wp-cache.php: Show Settings->Super Cache page to super admins to
	  preserve old links

2010-12-17 16:47  donncha

	* wp-cache-phase2.php, wp-cache.php: Added option to enable front
	  page cache checks and enable by default.

2010-12-17 16:04  donncha

	* wp-cache-phase1.php: Print compression comment on cached dynamic
	  pages

2010-12-17 14:13  donncha

	* wp-cache-phase2.php: Gzip the dynamic cached page before we serve
	  the first user to visit a page.

2010-12-17 14:10  donncha

	* wp-cache-phase1.php: Use the plugin $cache_compression settings
	  to determine if gzipped dynamic cached files should be served or
	  not.

2010-12-17 13:04  donncha

	* wp-cache-phase1.php: Sometimes "zlib.output_compression" is set
	  to "off" rather than 0, check for "on" to make sure we don't
	  disable compression accidentally.

2010-12-15 12:42  donncha

	* wp-cache-phase1.php: CHeck if PHP is using zlib compression
	  already before compressing dynamic pages

2010-12-15 12:37  donncha

	* wp-cache-phase1.php: Use "ob_gzhandler" to compress dynamic pages
	  on the fly if supported, see
	  http://wordpress.org/support/topic/plugin-wp-super-cache-suggestion-mod_rewrite-mode-with-legacy-fallback?replies=8#post-1837856

2010-12-15 12:27  donncha

	* wp-cache.php: Updated patch to support 1and1 webhosting, see
	  http://wordpress.org/support/topic/plugin-wp-super-cache-how-to-get-mod_rewrite-working-on-1and1-shared-hosting?replies=6#post-1837843

2010-12-15 07:20  donncha

	* wp-cache-phase2.php: oops, left some debug code in!

2010-12-14 14:56  donncha

	* wp-cache.php: Regenerate the cache stats when the cache is
	  deleted

2010-12-14 14:34  donncha

	* wp-cache.php: Minor typo fixed.

2010-12-14 13:38  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: First pass at using
	  supercache files to store "dynamic pages". See
	  http://wordpress.org/support/topic/plugin-wp-super-cache-suggestion-mod_rewrite-mode-with-legacy-fallback?replies=5

2010-12-14 10:48  donncha

	* wp-cache.php: Hopefully fix problems with 1and1 hosting as they
	  use /kunden/ in their path, see
	  http://wordpress.org/support/topic/plugin-wp-super-cache-how-to-get-mod_rewrite-working-on-1and1-shared-hosting,
	  props reviewmylife

2010-12-13 18:52  donncha

	* wp-cache.php: For the purposes of our checks, home is / or
	  wherever the blog lives, not in the paged content.

2010-12-13 18:38  donncha

	* wp-cache.php: Call the correct function on template_redirect to
	  set the is_home cache.

2010-12-13 17:30  donncha

	* languages/wp-super-cache-de_DE.mo,
	  languages/wp-super-cache-de_DE.po: Updated German translation,
	  props Mathias,
	  http://wordpress.org/support/topic/plugin-wp-super-cache-can-i-help-to-improve-language-file?replies=11#post-1829165

2010-12-13 15:54  donncha

	* wp-cache-phase2.php, wp-cache.php: Cache is_home and
	  is_front_page in $wp_cache_is_home because they may not work on
	  PHP shutdown. See
	  http://wordpress.org/support/topic/plugin-wp-super-cache-not-writing-another-page-to-front-page-cache?replies=8

2010-12-09 13:34  donncha

	* wp-super-cache.pot: Updated pot file for translation

2010-12-09 13:31  donncha

	* languages/wp-super-cache-de_DE.mo,
	  languages/wp-super-cache-de_DE.po: Updated German translation,
	  props Mathias (http://trade-service.biz/)

2010-12-09 12:28  donncha

	* ossdl-cdn.php: Added multiple CNAME support to CDN functionality
	  (props David Ward) and add translation strings

2010-12-07 16:00  donncha

	* plugins/badbehaviour.php: Fixed admin form on Bad Behavior plugin

2010-11-30 12:08  donncha

	* ossdl-cdn.php, wp-cache-config-sample.php: Allow CDN support to
	  be switched off, see
	  http://wordpress.org/support/topic/plugin-wp-super-cache-wp_supercache-problem-with-sharedaddy-shareandfollow?replies=6

2010-11-29 15:55  donncha

	* wp-cache.php: Add Supercache menu item on network admin menu,
	  WordPress 3.1

2010-11-29 11:24  donncha

	* wp-cache.php: Silently fail when the config file is missing and
	  we try to update it. Only happens when the settings page is first
	  loaded.
	  http://wordpress.org/support/topic/plugin-wp-super-cache-warning-invalid-argument-supplied-for-foreach?replies=3

2010-11-26 12:25  donncha

	* wp-cache-phase2.php: There's no need to write meta files when
	  we're not caching for logged in users!

2010-11-26 11:31  donncha

	* advanced-cache.php, wp-cache.php: Define the constant
	  "ADVANCEDCACHEPROBLEM" if wp-cache-phase1.php can't be loaded and
	  report it on the dashboard. See
	  http://thehoneymonster.com/2010/10/wp-super-cache-oopsiedoodle/

2010-11-26 10:03  donncha

	* wp-cache.php: Fixed translation domain on string, props Priv,
	  http://wordpress.org/support/topic/plugin-wp-super-cache-can-i-help-to-improve-language-file?replies=6

2010-11-24 09:55  donncha

	* wp-cache.php: Preload pages as well as posts, see
	  http://wordpress.org/support/topic/plugin-wp-super-cache-pages-are-not-cached-in-preload-mode?replies=2

2010-11-23 20:37  donncha

	* languages/wp-super-cache-it_IT.mo,
	  languages/wp-super-cache-it_IT.po: Updated Italian translation,
	  props Gianni

2010-11-23 13:48  donncha

	* readme.txt, wp-cache.php: Bump version to 0.9.9.7

2010-11-23 13:45  donncha

	* Changelog.txt: Updated changelog

2010-11-23 13:38  donncha

	* wp-cache-phase1.php: Check if there are any actions before
	  processing a cacheaction(), see
	  http://wordpress.org/support/topic/plugin-wp-super-cache-wp-admin-problem?replies=2

2010-11-23 13:29  donncha

	* wp-cache.php: Change preload limits and increase steps for
	  smaller preloads -
	  http://wordpress.org/support/topic/plugin-wp-super-cache-how-do-i-cache-the-newest?replies=3

2010-11-23 13:03  donncha

	* readme.txt: Minor changes to documentation

2010-11-23 12:51  donncha

	* readme.txt: Updated docs for MU/MS

2010-11-23 12:43  donncha

	* readme.txt: Added a link to Priv's credit for translation

2010-11-23 12:41  donncha

	* languages/wp-super-cache-zh_TW.mo,
	  languages/wp-super-cache-zh_TW.po: Updated translation file by
	  Priv (http://priv.tw/blog)

2010-11-22 17:44  donncha

	* readme.txt: Credit priv with updated Traditional Chinese
	  translation.

2010-11-22 17:41  donncha

	* languages/wp-super-cache-zh_TW.mo,
	  languages/wp-super-cache-zh_TW.po: Updated translation file by
	  priv

2010-11-22 17:32  donncha

	* readme.txt: Add link to development version for translators

2010-11-22 17:31  donncha

	* wp-super-cache.pot: Updated pot file for translation

2010-11-22 17:20  donncha

	* wp-cache.php: Link to WPSCMin and GTMetrix

2010-11-22 17:03  donncha

	* ossdl-cdn.php: Updated CDN settings page docs

2010-11-22 16:28  donncha

	* wp-cache-phase2.php: Increase the gzip level so pages are
	  slightly smaller

2010-11-22 16:03  donncha

	* readme.txt: Added CDN docs

2010-11-20 15:31  donncha

	* wp-super-cache.pot: Updated translation file.

2010-11-16 18:14  donncha

	* wp-cache.php: Added a "rate this plugin" reminder to the sidebar
	  on the settings page.

2010-11-16 15:18  donncha

	* wp-cache-phase2.php, wp-cache.php: Don't make extra front page
	  checks optional

2010-11-15 09:41  donncha

	* readme.txt: Updated uninstall instructions

2010-11-15 08:53  donncha

	* wp-cache.php: Remove cdn line from recommended plugins, and
	  change pause between urls in preload from 2 seconds to 1 second

2010-11-15 08:51  donncha

	* uninstall.php: Replaced UNINSTALL.. constant with nonce in the
	  uninstall form to make things easier.

2010-11-15 08:28  donncha

	* plugins/awaitingmoderation.php, plugins/badbehaviour.php,
	  plugins/domain-mapping.php, plugins/searchengine.php: Updated the
	  settings page on SC plugins

2010-11-09 09:52  donncha

	* ossdl-cdn.php: Before rewriting URL to CDN, make sure it's in the
	  include directories

2010-11-08 20:56  donncha

	* ossdl-cdn.php, wp-cache.php: Initial import of OSSDL CDN
	  off-linker, a plugin by W-Mark Kubacki (http://mark.ossdl.de/)

2010-11-06 09:47  donncha

	* wp-cache-phase2.php: Added "wp_cache_ob_callback_filter" to
	  filter the output callback buffer every time

2010-11-06 09:43  donncha

	* wp-cache.php: Change copyright notice, as others have of course
	  contributed code!

2010-11-03 16:45  donncha

	* readme.txt: Added troubleshooting point explaining why permalinks
	  might break after uninstalling

2010-11-02 12:30  donncha

	* wp-cache.php: Don't show Supercache admin page to ordinary users
	  on MS sites. Props Mark Bailey.

2010-11-01 11:56  donncha

	* readme.txt, uninstall.php: uninstall.php now runs from where
	  Wordpress is installed instead of in the supercache plugin
	  directory

2010-10-22 09:32  donncha

	* wp-cache-phase2.php: Check if current page is front page or home
	  page if cache file to write is for the homepage

2010-10-21 13:45  donncha

	* wp-cache-phase2.php: First paranoid check - check if the front
	  page is being cached correctly

2010-10-21 13:42  donncha

	* wp-cache.php: Added "extra paranoid checks" option on the
	  settings page

2010-10-21 11:35  donncha

	* wp-cache.php: Only show advanced settings page if cache enabled.

2010-10-20 13:08  donncha

	* wp-cache-phase2.php: Don't try to write a cache file for another
	  page to the front page cache location

2010-10-20 12:54  donncha

	* wp-cache.php: Added "late init" option to settings page

2010-10-20 12:29  donncha

	* readme.txt: Added docs for new dynamic cached content tag

2010-10-20 12:28  donncha

	* wp-cache-phase2.php: When in legacy mode, no need to check for
	  supercache

2010-10-20 12:10  donncha

	* wp-cache-phase2.php: Show supercache footer message on Legacy
	  cached pages. Fixes the cache tester for those using this cache.

2010-10-20 10:58  donncha

	* wp-cache-phase2.php: Added "dynamic-cached-content" tag, see
	  http://wordpress.org/support/topic/plugin-wp-super-cache-proposed-replacement-to-mfuncmclude?replies=7

2010-10-15 12:35  donncha

	* wp-cache-phase2.php: Use the host from get_bloginfo( 'url' ) to
	  figure out the supercache directory

2010-10-11 17:18  donncha

	* wp-cache.php: Fixed "Delete Cache" link on admin dropdown. See
	  http://wordpress.org/support/topic/plugin-wp-super-cache-delete-cache-on-dashboard-drop-down-doesnt-seem-to-work?replies=2#post-1734185

2010-10-08 13:04  donncha

	* wp-cache.php: Added recommended links and plugins and update
	  "rewrite rules detected" notice

2010-10-07 16:03  donncha

	* wp-cache.php: Make sure compression stays disabled if gzencode()
	  not found. See
	  http://wordpress.org/support/topic/plugin-wp-super-cache-check-for-gzencode?replies=2

2010-09-30 11:43  donncha

	* wp-cache.php: Only select posts, props liangzai,
	  http://wordpress.org/support/topic/plugin-wp-super-cache-preload-files?replies=7#post-1716174

2010-09-30 11:35  donncha

	* wp-cache.php: Reduce preload pause to 2 seconds and added
	  notification of currently cached post plus faster cancellation

2010-09-29 16:46  donncha

	* Changelog.txt: Updated changelog

2010-09-29 16:43  donncha

	* readme.txt, wp-cache.php: Bump to 0.9.9.6

2010-09-29 16:36  donncha

	* readme.txt: Minor updated to changelog

2010-09-29 16:33  donncha

	* readme.txt: Added new FAQ on editing the .htaccess file

2010-09-29 16:09  donncha

	* readme.txt: Added new FAQ, "How do I delete the WP_CACHE define
	  from wp-config.php?"

2010-09-29 16:06  donncha

	* wp-cache.php: Added "need help?" section to yellow box

2010-09-29 14:30  donncha

	* wp-cache.php: Sleep for 4 seconds between preloads to reduce
	  server load some more when preloading

2010-09-29 14:08  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php, wp-cache.php: Fix
	  variable warning messages

2010-09-29 10:11  donncha

	* wp-cache-phase1.php: Send Content-Length header if 304 support
	  enabled

2010-09-29 09:50  donncha

	* wp-cache.php: Don't delete expired supercache files when preload
	  mode is on

2010-09-29 09:05  donncha

	* wp-cache.php: Pause 2 seconds instead of 5 between preload urls

2010-09-28 17:30  donncha

	* readme.txt: Updated readme, changelog and credits for German
	  translation

2010-09-28 17:26  donncha

	* languages/wp-super-cache-de_DE.mo,
	  languages/wp-super-cache-de_DE.po: Added German translation,
	  props Mathias Roth, (http://trade-service.eu/)

2010-09-28 16:34  donncha

	* readme.txt: Added French translation credit

2010-09-28 16:32  donncha

	* languages/wp-super-cache-fr_FR.mo,
	  languages/wp-super-cache-fr_FR.po: Added French translation,
	  props Maitre Mo (http://maitremo.fr/)

2010-09-28 16:28  donncha

	* languages/wp-super-cache-it_IT.mo,
	  languages/wp-super-cache-it_IT.po: Updated Italian translation,
	  props Gianni Diurno

2010-09-28 16:14  donncha

	* wp-cache.php: Only show styled tabs in WP 3.0.1 and higher

2010-09-28 13:58  donncha

	* wp-cache.php: Sleep 5 seconds between preloads

2010-09-27 13:59  donncha

	* wp-super-cache.pot: Updated translation file

2010-09-27 13:57  donncha

	* wp-cache.php: Gettext fixes, props Gianni Diurno for most of
	  them.

2010-09-27 12:09  donncha

	* wp-cache-phase1.php: Added 304 not modified header check to
	  legacy caching too. NOT for dynamic pages.

2010-09-27 11:44  donncha

	* wp-cache-phase1.php, wp-cache.php: Added 304 "File not modified"
	  support in PHP mode, props qdinar,
	  http://wordpress.org/support/topic/plugin-wp-super-cache-still-not-corrected-bug-about-unicode-range-letters-in-permalink?replies=24#post-1687175

2010-09-27 11:41  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Revert $wpsc_settings
	  changes.

2010-09-27 06:43  donncha

	* wp-cache-phase1.php: Forgot to init the slashcheck variable

2010-09-24 11:33  donncha

	* Changelog.txt: Updated changelog for 0.9.9.5

2010-09-24 11:31  donncha

	* readme.txt, wp-cache.php: Bump to 0.9.9.5 for minor bug fixes.

2010-09-24 11:26  donncha

	* wp-cache.php: Show the lockdown menu again.

2010-09-24 07:00  donncha

	* wp-cache.php: Disable compression when using easy page, and only
	  warn of mod_rewrite rules if they're turned off

2010-09-24 06:47  donncha

	* wp-cache.php: Disable cache compression, still problems with the
	  occasional host.

2010-09-23 18:08  donncha

	* wp-cache.php: The plugin works somewhat well in safemode so don't
	  stop users using the settings page.

2010-09-23 17:53  donncha

	* wp-cache.php: No more hello world notices and don't delete
	  mod_rewrite rules when caching is disabled

2010-09-22 16:05  donncha

	* Changelog.txt: Updated changelog

2010-09-22 16:02  donncha

	* readme.txt, wp-cache.php: Bump version to 0.9.9.4 and update some
	  docs

2010-09-22 15:20  donncha

	* wp-cache.php: When supercache is disabled delete the mod_rewrite
	  rules

2010-09-22 15:16  donncha

	* wp-cache.php: Don't check the mod_rewrite rules if caching
	  disabled

2010-09-22 14:54  donncha

	* readme.txt: Updated changelog and added language credits

2010-09-22 14:26  donncha

	* wp-super-cache.pot: Updated translation file

2010-09-22 14:18  donncha

	* plugins/domain-mapping.php: Added code to check if domain mapping
	  used and print a warning message

2010-09-22 13:23  donncha

	* wp-cache.php: Set "wp_cache_mod_rewrite" if it's not defined
	  already, for those upgrading

2010-09-22 11:50  donncha

	* wp-cache.php: Fixed typo in rewrite rules notice

2010-09-21 11:54  donncha

	* wp-cache.php: Don't need this adminpage form any more

2010-09-21 10:00  donncha

	* wp-cache.php: Update the docs explaining garbage collection

2010-09-21 09:58  donncha

	* wp-cache.php: Show advanced settings page if legacy caching
	  enabled too

2010-09-21 09:44  donncha

	* wp-cache.php: Show "advanced settings" page when mod_rewrite
	  caching enabled.

2010-09-21 09:34  donncha

	* wp-cache.php: Disable .htaccess checks when not running on "main
	  site" instead of disabling settings page completely

2010-09-20 15:43  donncha

	* plugins/domain-mapping.php, wp-cache-phase2.php: Added "gc_cache"
	  action and domain mapping cache plugin to clear the cache of
	  domain mapped multisite websites

2010-09-20 12:58  donncha

	* wp-cache.php: Added another check for the mod_rewrite config
	  before displaying a warning about those rules

2010-09-20 12:47  donncha

	* wp-cache.php: Correctly check for the "main blog"

2010-09-20 12:01  donncha

	* wp-cache.php: * Tester tab added "& Contents" to make it clearer
	  what's in this page.
	  * Add back in "List Files" link. Oops.

2010-09-20 11:59  donncha

	* wp-cache-config-sample.php, wp-cache.php: No need for simple
	  setup variable now

2010-09-20 11:37  donncha

	* plugins/awaitingmoderation.php: Added example plugin to remove
	  "Awaiting moderation" message when comments left on posts.

2010-09-20 11:36  donncha

	* plugins/badbehaviour.php, plugins/searchengine.php: Make plugins
	  listed in an ordered list

2010-09-20 11:35  donncha

	* wp-cache.php: * Added Plugins tab
	  * Check if if PHP or Supercache mode before checking .htaccess
	  file for rewrite rules.
	  * Change "half-on" text to "legacy" to reflect new terminology
	  * Split Settings page into Easy and Advanced tabs instead of
	  form.

2010-09-13 22:46  donncha

	* wp-cache.php: Make tabs like those on the themes page

2010-09-13 04:31  donncha

	* wp-cache.php: Cast as an array to hide a warning about 2nd arg.

2010-09-13 04:28  donncha

	* wp-cache.php: Hopefully trap wp_errors generating from page
	  requests to tester

2010-09-07 16:16  donncha

	* wp-cache.php: Enable "PHP Caching" from the easy setup page

2010-09-07 16:07  donncha

	* wp-cache.php: Minor tweaks to layout of admin page

2010-09-07 16:06  donncha

	* wp-cache-config-sample.php, wp-cache.php: Added "easy setup"
	  configuration screen (WIP)

2010-09-07 16:03  donncha

	* wp-cache.php: Fixed check for "main site" on MU sites

2010-09-07 12:31  donncha

	* wp-cache.php: * Fixed check for "main site"
	  * Updated error messages

2010-09-07 12:09  donncha

	* wp-cache.php: Added tabs to the Supercache admin page

2010-09-06 07:33  donncha

	* readme.txt: Added FAQ on writable directories and fixed a few
	  typos

2010-09-03 15:15  donncha

	* readme.txt, wp-cache-phase1.php: Updated headers and docs for PHP
	  served cache files

2010-08-31 17:55  donncha

	* wp-cache.php: Added "$wp_super_cache_lock_down" config variable
	  to hide lockdown and directly cached pages admin menus

2010-08-31 17:44  donncha

	* readme.txt: Major updates to the docs, covering legacy mode.

2010-08-31 15:34  donncha

	* readme.txt: Updated docs on legacy caching

2010-08-31 13:50  donncha

	* readme.txt: Minor mod to caching mechanism list

2010-08-31 13:48  donncha

	* readme.txt: Added docs on legacy caching and the different
	  caching mechanisms

2010-08-31 12:45  donncha

	* wp-cache-phase2.php: Added action on "wp_update_nav_menu" to
	  clear cache, props
	  http://www.webmasterbulletin.net/2010/07/wp-super-cache-and-wp3-0-menus/1270

2010-08-30 16:50  donncha

	* wp-cache.php: Admin page upgrades:
	  * Separate out PHP and mod_rewrite supercaching.
	  * Minor text changes

2010-08-30 16:38  donncha

	* wp-cache-phase2.php: Hide potential error messages

2010-08-30 16:37  donncha

	* wp-cache-phase2.php: Revert this settings change for now.

2010-08-30 16:35  donncha

	* wp-cache-phase2.php: If caching disabled, then don't run the
	  second phase function

2010-08-30 11:46  donncha

	* wp-cache-phase1.php: Minor whitespace mod

2010-08-30 11:46  donncha

	* wp-cache-phase1.php: Serve a gzipped supercache file if the
	  client supports it.

2010-08-30 10:16  donncha

	* wp-cache-phase2.php: Remove unused global variable

2010-08-30 09:36  donncha

	* wp-cache-phase2.php: Don't delete supercache files if supercache
	  is disabled when posts change. Stops moderated comments deleting
	  the front page.

2010-08-29 10:17  donncha

	* wp-cache-phase2.php: Check for empty tmp cache files and report
	  them correctly.

2010-08-27 15:40  donncha

	* wp-cache.php: Change cache compression on/off into a checkbox and
	  move into "Misc" section.

2010-08-27 14:56  donncha

	* wp-cache.php: Ignore case when checking mobile user agents in
	  .htaccess

2010-08-26 16:37  donncha

	* wp-cache.php: Hide warnings from these unlinks, even though the
	  plugin checks if they exist!

2010-08-26 14:43  donncha

	* wp-cache.php: Add a timestamp to the preload counter to catch
	  when it stalls. Reschedule the preload job when that happens.

2010-08-26 12:34  donncha

	* wp-cache.php: Cache tester should probably send http requests for
	  homepage if admin is secure

2010-08-26 11:30  donncha

	* wp-cache.php: Ony add mobile rules if mobile support is enabled

2010-08-26 11:26  donncha

	* wp-cache.php: Move code to handle updating the options into it's
	  own function and move more error checking into it's own function

2010-08-24 17:07  donncha

	* wp-cache.php: First go at reorganising the admin page

2010-08-23 17:27  donncha

	* wp-cache-phase2.php: Starting to use $wpsc_settings

2010-08-23 17:09  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Added
	  "wp_cache_load_config()" and $wpsc_settings array

2010-08-23 12:23  donncha

	* readme.txt: Added new FAQ, "How do I delay serving the cache
	  until the "init" action fires?"

2010-08-23 12:07  donncha

	* readme.txt: Include a simple mfunc example

2010-08-23 12:06  donncha

	* wp-cache-config-sample.php, wp-cache-phase2.php: Removed
	  $wp_cache_gzip_first, if compression is enabled there's no reason
	  it won't work for the cache generating visit

2010-08-23 11:40  donncha

	* wp-cache-phase2.php: Warn if late init not set on dynamic pages

2010-08-23 10:45  donncha

	* wp-cache-phase2.php: Added "wp_cache_append_tag()" to add the
	  Supercache log message after filtering

2010-08-06 17:09  donncha

	* wp-cache.php: Added the function "wpsupercache_site_admin()" to
	  support old versions of MU using is_site_admin()

2010-08-06 16:10  donncha

	* wp-cache-phase1.php, wp-cache.php: Removed lots of PHP variable
	  warnings. Props Joel Hardi

2010-08-06 15:30  donncha

	* wp-cache.php: Fixed cache tester when WP is installed in a sub
	  directory

2010-08-03 12:17  donncha

	* wp-cache-phase2.php: Check for closing "urlset" tag for xml
	  sitemap generators
	  (http://wordpress.org/support/topic/plugin-wp-super-cache-xml-sitemap-feed-not-cached?replies=11#post-1627457)

2010-07-30 12:19  donncha

	* wp-cache.php: Check the status of pages returned by the cache
	  tester and report any problems.

2010-07-01 15:30  donncha

	* wp-cache.php: Removed donation blurb from admin page

2010-07-01 15:27  donncha

	* readme.txt: Removed donation link, updated min version and added
	  automattic as contributor

2010-06-28 10:25  donncha

	* wp-cache-config-sample.php: Use WP_PLUGIN_DIR instead of
	  WP_CONTENT_DIR, props Baris Unver

2010-06-21 15:42  donncha

	* wp-cache.php: On MU/WP 3.0 network sites only allow admin page on
	  main site. http://wordpress.org/support/topic/412472?replies=2

2010-06-16 10:34  donncha

	* Changelog.txt, readme.txt: Updated changelogs

2010-06-16 10:26  donncha

	* wp-super-cache.pot: Updated translation file for 0.9.9.3

2010-06-16 10:24  donncha

	* readme.txt, wp-cache.php: Bump version to 0.9.9.3

2010-06-16 10:20  donncha

	* wp-cache.php: Minor mod to preloading text

2010-06-16 10:18  donncha

	* wp-cache.php: If cache stats are not cached then do so, and also
	  include an explanation of caching stats.

2010-06-16 10:11  donncha

	* wp-cache.php: Minor mod to preloading text

2010-06-16 10:07  donncha

	* wp-cache.php: Slight change in "preload mode" description and
	  donation link

2010-06-16 09:14  donncha

	* wp-cache.php: Minor change to "about" text on admin page.

2010-06-15 22:55  donncha

	* wp-cache.php: Avoid division by zero error when plugin is
	  "half-on" and always show "delete cache" button.

2010-06-15 15:59  donncha

	* wp-cache.php: Check if $wpmu_version is set rather than if
	  is_site_admin() exists to detect MU

2010-06-15 13:34  donncha

	* readme.txt, wp-cache.php: Version 0.9.9.2

2010-06-15 13:27  donncha

	* wp-super-cache.pot: Updated pot translation file

2010-06-15 13:22  donncha

	* Changelog.txt: Updated changelog, version 0.9.9.1

2010-06-15 13:19  donncha

	* readme.txt: Bump version to 0.9.9.1

2010-06-15 12:23  donncha

	* Changelog.txt, readme.txt: Updated changelog and readme.txt
	  changelog

2010-06-15 11:38  donncha

	* wp-cache.php: Separate out full and in-refresh jobs

2010-06-14 21:31  donncha

	* wp-cache.php: Remove link to uninstall.php and rearrange docs a
	  bit

2010-06-14 16:28  donncha

	* wp-cache.php: Added medium email notification volume of
	  preloading

2010-06-14 10:45  donncha

	* wp-cache.php: Check cache stats correctly before showing file
	  listing link

2010-06-14 10:32  donncha

	* readme.txt: Removed "why shouldn't I cache every page" question
	  and updated test version

2010-06-14 10:23  donncha

	* wp-cache.php: Added "Cache Preload Started" email

2010-06-14 10:10  donncha

	* wp-cache.php: Cache "cache contents" output and add "Regenerate"
	  link to refresh it.

2010-06-09 15:52  donncha

	* wp-cache.php: Allow adjustment of email notification volume

2010-05-30 07:54  donncha

	* wp-cache.php: gettext changes to refresh messages and on preload,
	  use an expiry of 1 day if no refresh timeout defined when
	  clearing out old supercache files

2010-05-30 07:43  donncha

	* wp-cache-phase2.php: Only delete front page of blog if "page on
	  front" selected rather than all cached files

2010-05-14 13:51  donncha

	* wp-cache-phase2.php: Only GC the supercache dir if preload mode
	  is off or we're forcing it

2010-05-14 13:47  donncha

	* wp-cache.php: Added "email me" option to track progress of
	  preload function

2010-05-10 07:47  donncha

	* wp-cache-phase2.php, wp-cache.php: Allow GC of supercache files
	  to be forced and use that to clean up really old files after
	  preload refresh

2010-05-09 09:07  donncha

	* wp-cache-phase2.php: Don't delete cache when moderated comments
	  are modified, and don't delete the site when "page on front"
	  option is selected

2010-05-09 08:05  donncha

	* wp-cache-phase1.php: Don't do slash checks on /

2010-05-09 07:41  donncha

	* wp-cache-phase1.php, wp-cache.php: Avoid duplicate content
	  problems when slashes are missing and plugin tries to server
	  static html file

2010-05-07 10:59  donncha

	* wp-cache-phase2.php: Don't delete any cache pages when a draft
	  post is saved

2010-05-07 10:37  donncha

	* wp-cache.php: The imploded mobile browser config data is only
	  ever used by phase1, the admin page uses the arrays

2010-05-07 10:21  donncha

	* wp-cache.php: Make mobile device support message generic

2010-05-07 10:15  donncha

	* wp-cache.php: Add warning if mod_rewrite rules don't match

2010-05-07 09:22  donncha

	* wp-cache-phase1.php, wp-cache.php: Check for wordpress_logged_in
	  cookies to avoid matching wordpress_test_cookie

2010-05-06 14:43  donncha

	* wp-cache.php: Added "clear_post_supercache()" to clear the
	  supercache for a particular post. Use that function to clear the
	  cache for individual posts while preloading

2010-05-06 14:41  donncha

	* wp-cache-phase1.php: Get supercache dir of a post

2010-05-04 16:43  donncha

	* wp-cache.php: Add seconds too for completeness

2010-05-04 16:41  donncha

	* wp-cache.php: Show next refresh time in friendly hours and
	  minutes

2010-05-04 16:36  donncha

	* wp-cache.php: case POST variable as an int first

2010-05-04 16:35  donncha

	* wp-cache.php: Don't reset cache expiry time when preload is done.

2010-05-04 12:50  donncha

	* wp-cache.php: Order get from posts table by publish date rather
	  than ID

2010-05-04 12:49  donncha

	* wp-cache.php: Avoid showing gigantic intervals while scheduled
	  job is running

2010-05-04 12:43  donncha

	* wp-cache.php: Minor rearrangement of text

2010-05-04 12:37  donncha

	* wp-cache.php: Show time until next cache refresh in seconds

2010-05-04 12:33  donncha

	* wp-cache.php: Added "Cancel Cache Preload" button to cancel
	  current preload

2010-05-04 12:13  donncha

	* wp-cache.php: Don't show "number of posts" that matches total
	  posts

2010-05-04 12:11  donncha

	* wp-cache.php: 60 seconds between preloading of 100 posts to save
	  on load

2010-05-04 12:10  donncha

	* wp-cache.php: Only schedule preload refresh when interval is non
	  zero, props Daniel,
	  http://ocaoimh.ie/preload-cache-wp-super-cache/#comment-675081

2010-05-03 07:40  donncha

	* wp-cache.php: Always define posts_to_cache, props Daniel @
	  http://ocaoimh.ie/preload-cache-wp-super-cache/#comment-674977

2010-04-30 09:03  donncha

	* wp-cache.php: Enclose rewrite rules in quotes, props duanestorey,
	  http://wordpress.org/support/topic/339075/page/2?replies=32#post-1496557

2010-04-29 13:37  donncha

	* wp-cache.php: These are arrays, not strings

2010-04-29 13:37  donncha

	* wp-cache.php: Added WAP and Profile header checks, props
	  AndreaTrasatti
	  (http://wordpress.org/support/topic/339075?replies=25#post-1493778)

2010-04-29 13:28  donncha

	* wp-cache.php: * Use POST instead of GET for preload form.
	  * Added "Preload Cache Now" and "Update Settings" buttons
	  * Improved select dropdown

2010-04-29 13:01  donncha

	* wp-cache.php: Make sure mobile browsers and prefixes are defined
	  before updating .htaccess file

2010-04-29 11:19  donncha

	* wp-cache-phase2.php, wp-cache.php: * Added "preload on" mode
	  where only half-on cache files are cleaned up.
	  * Added "posts to cache" selector if more than 1000 posts.
	  * Updated text description of preloading

2010-04-29 11:13  donncha

	* wp-cache.php: Disable preloading UI by defining the constant
	  "DISABLESUPERCACHEPRELOADING". Just in case some hosts don't like
	  it.

2010-04-28 16:54  donncha

	* wp-cache.php: Show next scheduled cache refresh

2010-04-28 15:51  donncha

	* wp-cache.php: Show preload counter when cache is being preloaded

2010-04-28 15:46  donncha

	* wp-cache.php: Preload cache using wp-cron and refresh cache every
	  X minutes

2010-04-28 14:35  donncha

	* wp-cache-phase1.php: Check if browser is blank before checking
	  for groups

2010-04-28 13:09  donncha

	* wp-cache.php: * Only allow preloading when running in supercache
	  (ON) mode.
	  * Added wpsc_update_htaccess() for plugins to update .htaccess
	  rules.

2010-04-27 17:44  donncha

	* wp-cache-phase1.php, wp-cache.php: Added ability to group mobile
	  devices. Added "cached_mobile_groups" filter so plugins can
	  modify groups. One group by default. See
	  http://wordpress.org/support/topic/339075?replies=21#post-1493412

2010-04-27 12:05  donncha

	* wp-cache-phase1.php: Merge code from
	  http://svn.wp-plugins.org/wordpress-mobile-pack/trunk/plugins/wpmp_switcher/lite_detection.php
	  into mobile detection function

2010-04-27 11:36  donncha

	* wp-cache.php: Added support for mobile prefixes, see
	  http://wordpress.org/support/topic/339075?replies=17#post-1493120

2010-04-27 09:33  donncha

	* wp-cache.php: Minor text cleanup

2010-04-27 09:29  donncha

	* wp-cache.php: gettext this properly

2010-04-27 08:55  donncha

	* wp-cache.php: Added update_cached_mobile_ua_list() so plugins can
	  update the list of cached mobile UAs.

2010-04-27 08:48  donncha

	* wp-cache.php: Added "cached_mobile_browsers" filter so mobile
	  plugins can filter list of mobile user agents.

2010-04-26 08:29  donncha

	* wp-cache-phase2.php, wp-cache.php: Garbage collection can be
	  disabled by setting expiry time to zero. Preloading cache
	  disables GC too.

2010-04-25 14:50  donncha

	* wp-cache.php: First pass at a cache preloader

2010-04-25 14:49  donncha

	* wp-cache-phase1.php: Added error reporting to aid debugging

2010-04-25 14:49  donncha

	* wp-cache.php: Use WP api to fetch homepage in tester

2010-04-22 10:17  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: * Fixed problem with
	  eval() and html.
	  * If compression is enabled, and client supports it but gzip
	  headers are missing, make sure html served is not compressed.

2010-04-22 08:38  donncha

	* wp-cache-phase1.php: Check if page is dynamic before sending gzip
	  headers. See http://wordpress.org/support/topic/347847?replies=29

2010-04-09 16:16  donncha

	* readme.txt, wp-cache-phase2.php: Remove the "redirect utm_source"
	  code and add a FAQ on changing it into an anchor tag

2010-04-08 17:25  donncha

	* wp-cache-phase2.php, wp-cache.php: Add option, "Only refresh
	  current page when comments made." See
	  http://wordpress.org/support/topic/385305?replies=5

2010-04-07 17:00  donncha

	* wp-cache-phase1.php: Add the SERVER_PORT to the half mode and
	  object cache. See
	  http://wordpress.org/support/topic/368679?replies=4

2010-03-25 11:51  donncha

	* languages/wp-super-cache-zh_CN.mo,
	  languages/wp-super-cache-zh_CN.po: Added Chinese(Simplified)
	  translation, props Chen Yang (http://emule-fans.com/)

2010-03-25 11:43  donncha

	* wp-cache.php: Check for WP_CACHE set to false and report an error
	  if the config file can't be updated. Props Artem @
	  http://beerpla.net

2010-03-25 10:22  donncha

	* readme.txt: Added warning about APC, props John Berns

2010-03-18 15:26  donncha

	* wp-cache-phase2.php: Don't delete cache when spam and trash are
	  emptied

2010-03-15 17:14  donncha

	* wp-cache.php: Check $wpmu_version to detect MU, and not
	  is_site_admin.

2010-02-25 10:59  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: More debugging, esp of
	  page edit clear caching

2010-02-23 18:01  donncha

	* wp-cache.php: Save rejected user agents properly.
	  http://wordpress.org/support/topic/366101?replies=2

2010-02-23 17:59  donncha

	* wp-cache.php: Better description of "logged in users" option,
	  make it "known users"
	  http://wordpress.org/support/topic/366904?replies=2

2010-02-21 10:24  donncha

	* wp-cache.php: Compare timestamps on each cached page when testing

2010-02-21 09:33  donncha

	* wp-cache-phase2.php, wp-cache.php: Added ability to remove
	  utm_source parameters from urls

2010-02-19 12:51  donncha

	* wp-cache.php: Make tester more verbose

2010-02-18 17:51  donncha

	* wp-cache.php: First go at a cache tester

2010-02-17 15:38  donncha

	* wp-cache-phase1.php: Improved debugging of cache serving

2010-02-12 12:45  donncha

	* wp-cache-phase2.php: Add more debugging.

2010-02-09 12:09  donncha

	* languages/wp-super-cache-ja.mo, languages/wp-super-cache-ja.po:
	  Updated Japanese language files, props Tai

2010-02-09 09:04  donncha

	* wp-cache.php: Fix printf warning

2010-02-08 18:04  donncha

	* languages/wp-super-cache-ja.mo, languages/wp-super-cache-ja.po:
	  Updated Japanese translation files, props Tai

2010-02-08 17:32  donncha

	* languages/wp-super-cache-it_IT.mo,
	  languages/wp-super-cache-it_IT.po: Updated Italian translation,
	  props Gianni Diurno

2010-02-08 14:25  donncha

	* Changelog.txt: Yet another update to changelog

2010-02-08 14:24  donncha

	* wp-super-cache.pot: Updated pot file

2010-02-08 14:22  donncha

	* plugins/badbehaviour.php, plugins/searchengine.php: Minor text
	  change, props Tai

2010-02-08 14:18  donncha

	* Changelog.txt: Updated, again!

2010-02-08 14:16  donncha

	* wp-super-cache.pot: Updated pot file

2010-02-08 14:13  donncha

	* Changelog.txt: Updated changelog

2010-02-08 14:11  donncha

	* readme.txt, wp-cache.php: Bump version to 0.9.9

2010-02-08 14:09  donncha

	* wp-cache.php: Add links to readme and forum

2010-02-08 14:00  donncha

	* readme.txt, wp-cache.php: Updated tested version.
	  Added link to WordPress Mobile Edition.

2010-02-08 13:52  donncha

	* Changelog.txt: Don't serve supercache files from PHP when GET is
	  not empty

2010-02-08 13:51  donncha

	* wp-cache-phase1.php: Supercache files can't be used when GET is
	  not empty

2010-02-08 13:43  donncha

	* Changelog.txt: Update changelog

2010-02-08 13:36  donncha

	* wp-cache-phase1.php: Only serve supercached files to anon users

2010-02-08 13:14  donncha

	* wp-cache-phase1.php: Don't serve GET requests from object cache

2010-02-08 13:03  donncha

	* readme.txt: Update upgrade note

2010-02-02 11:56  donncha

	* wp-cache.php: Added check for permalink structure

2010-01-29 12:28  donncha

	* wp-super-cache.pot: Updated translation pot file

2010-01-29 12:09  donncha

	* wp-cache.php: Only show object cache option when an external
	  object cache used.

2010-01-29 11:15  donncha

	* readme.txt: Added note about supercache header

2010-01-29 11:13  donncha

	* readme.txt: Updated mobile rewrite rules in readme.txt

2010-01-29 11:11  donncha

	* Changelog.txt, readme.txt: Update changelog

2010-01-29 10:40  donncha

	* wp-cache.php: Show delete buttons even when object cache is used.

2010-01-29 10:36  donncha

	* wp-cache-phase2.php: Use $cache_max_time for object cache timeout

2010-01-29 10:28  donncha

	* wp-cache-phase2.php: Clear object cache when posts change

2010-01-29 10:20  donncha

	* wp-cache.php: Don't show cache listing when object cache used.

2010-01-29 10:13  donncha

	* languages/wp-super-cache-zh_TW.mo,
	  languages/wp-super-cache-zh_TW.po: Chinese(Traditional)
	  translation by Pseric

2010-01-29 10:07  donncha

	* readme.txt: Added FAQ on wp-cache vs supercache files

2010-01-29 09:47  donncha

	* wp-cache-phase1.php: Hostname is already included in supercache
	  dir

2010-01-29 09:45  donncha

	* wp-cache-phase1.php: If cache loader doesn't find a wp-cache
	  file, look for a supercache one and serve that instead.

2010-01-28 10:17  donncha

	* wp-cache-phase1.php: Include the hostname in the object cache key

2010-01-27 17:18  donncha

	* wp-cache-phase1.php: Object cache is only useful for anon users.

2010-01-27 15:46  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php, wp-cache.php: * Remove
	  "anon user only", same as logged in option.
	  * Add gzip encoding to object cache key
	  * Don't cache for known users in object cache

2010-01-27 14:58  donncha

	* wp-cache-phase1.php: Oops, don't serve cache file in the right
	  place

2010-01-27 14:38  donncha

	* wp-cache-phase1.php, wp-cache.php: Get mobile browser list from
	  "wp mobile edition". Warn user of obsolete rules.

2010-01-27 12:26  donncha

	* wp-cache-phase2.php: Let's avoid warnings if we can

2010-01-27 12:24  donncha

	* wp-cache-config-sample.php: Add more default config settings

2010-01-26 18:29  donncha

	* wp-cache-phase2.php: Don't cache GET requests in object cache for
	  the time being.
	  Missing chunk of code from previous check in

2010-01-26 18:20  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php, wp-cache.php: First
	  pass at object cache support. (Thank you Andy Skelton for writing
	  batcache from where I borrowed some code and ideas)

2010-01-26 14:38  donncha

	* wp-cache-phase2.php, wp-cache.php: * Added "no caching for known
	  users" option
	  * Fix half-on caching.

2010-01-21 22:10  donncha

	* wp-cache-phase2.php: * Make sure the writer lock is unlocked
	  * "Logged in" users now include those who leave comments

2010-01-19 11:13  donncha

	* wp-cache.php: Warn the user is php zlib output_compression is
	  enabled.

2010-01-11 10:07  donncha

	* wp-cache-phase2.php: Don't create static cache files when dynamic
	  mfunc content is detected.
	  Delete 0 byte size tmp cache files

2010-01-11 09:56  donncha

	* readme.txt: Added link to developer docs

2009-12-22 11:14  donncha

	* languages/wp-super-cache-uk.mo, languages/wp-super-cache-uk.po:
	  Added Ukrainian translation, props Vitaly Mylo

2009-12-15 10:46  donncha

	* readme.txt: Added Upgrade Notice section to readme

2009-12-15 10:44  donncha

	* wp-cache.php, wp-super-cache.pot: Wordpress -> WordPress

2009-12-15 10:36  donncha

	* wp-cache.php: Warn if zlib compression is enabled before user
	  enables compression in the plugin

2009-12-15 10:23  donncha

	* readme.txt: Added compression troubleshooting answer, props
	  Vladimir (http://blog.sjinks.pro/)

2009-11-23 16:15  donncha

	* languages/wp-super-cache-ja.mo, languages/wp-super-cache-ja.po,
	  languages/wp-super-cache-ja_JA.mo,
	  languages/wp-super-cache-ja_JA.po: Renamed Japanese language
	  files

2009-11-23 15:11  donncha

	* languages/wp-super-cache-ja_JA.mo,
	  languages/wp-super-cache-ja_JA.po: Added Japanese translation,
	  props Tai (http://tekapo.com/)

2009-11-19 11:59  donncha

	* languages/wp-super-cache-it_IT.mo,
	  languages/wp-super-cache-it_IT.po: Updated Italian translation

2009-11-18 17:50  donncha

	* Changelog.txt: Updated changelog

2009-11-18 17:49  donncha

	* readme.txt, wp-cache.php: Bump version to 0.9.8

2009-11-18 17:28  donncha

	* readme.txt: Added "Translators" thank you message

2009-11-18 17:14  donncha

	* Changelog.txt, readme.txt: Updated changelog

2009-11-18 16:36  donncha

	* wp-cache-config-sample.php, wp-cache.php: Added
	  $wp_super_cache_advanced_debug and hide advanced debug features
	  by default

2009-11-13 12:33  donncha

	* languages/wp-super-cache-es_ES.mo,
	  languages/wp-super-cache-es_ES.po: Update Spanish translation
	  files, props Omi

2009-11-13 10:34  donncha

	* wp-super-cache.pot: Update translation file

2009-11-13 10:24  donncha

	* wp-cache.php: Fire off page checker every 5 minutes rather than 1
	  minute.

2009-11-13 10:02  donncha

	* languages/wp-super-cache-it_IT.mo,
	  languages/wp-super-cache-it_IT.po: Fixed typo in translation

2009-11-12 14:05  donncha

	* languages/wp-super-cache-es_ES.mo,
	  languages/wp-super-cache-es_ES.po,
	  languages/wp-super-cache-it_IT.mo,
	  languages/wp-super-cache-it_IT.po: Language updates via Gianni
	  Diurno and Omi (thanks guys, you do a great job!)

2009-11-10 16:31  donncha

	* wp-super-cache.pot: Updated translation file

2009-11-10 16:26  donncha

	* wp-cache-config-sample.php, wp-cache.php: Added
	  wp_cache_check_site() function

2009-11-10 13:00  donncha

	* wp-cache.php: More gettext fixes

2009-11-10 12:24  donncha

	* languages/wp-super-cache-es_ES.mo,
	  languages/wp-super-cache-es_ES.po: Added Spanish translation,
	  props Omi

2009-11-09 16:45  donncha

	* wp-cache.php: Change wordpress_logged_in to wordpress in
	  supercache cookie checks to match PHP code

2009-11-05 18:01  donncha

	* languages/wp-super-cache-it_IT.po: Fix link to adverts for
	  friends plugin

2009-11-05 16:17  donncha

	* wp-cache.php: More gettext fixes, props Juan P.F.

2009-11-05 12:24  donncha

	* languages/wp-super-cache-it_IT.mo,
	  languages/wp-super-cache-it_IT.po: First check in of Italian
	  translation by Gianni Diurno (http://gidibao.net/)

2009-11-05 12:10  donncha

	* wp-super-cache.pot: Update translations

2009-11-05 11:57  donncha

	* wp-cache.php: More gettext changes, props Gianni

2009-11-04 16:28  donncha

	* wp-super-cache.pot: Fixed missing < in text

2009-11-04 16:26  donncha

	* plugins/searchengine.php: Ooops, minor typo, props Juan P.F.

2009-11-04 12:07  donncha

	* languages, wp-cache.php: Load translation files from languages
	  folder

2009-11-04 11:50  donncha

	* wp-super-cache.pot: Updated translation file

2009-11-04 11:39  donncha

	* wp-cache-phase1.php: Split user agent and cache file checks into
	  two for easier debugging

2009-11-04 11:38  donncha

	* plugins/badbehaviour.php, plugins/searchengine.php, wp-cache.php:
	  gettext updates, thanks Gianni

2009-10-25 17:44  donncha

	* wp-cache.php: Check for WP_CACHE when plugin loaded rather than
	  after init. See
	  http://wordpress.org/support/topic/307644?replies=28#post-1258599

2009-10-21 12:22  donncha

	* wp-cache-phase2.php: Add wp_cache_clear_cache() function to clean
	  cache directory

2009-10-21 12:04  donncha

	* wp-cache-phase2.php: Fix indentation in ob callback

2009-10-21 12:01  donncha

	* wp-cache-phase2.php: Only show logged in message when debugging
	  enabled

2009-10-20 11:21  donncha

	* wp-super-cache.pot: Updated translation file

2009-10-20 11:19  donncha

	* wp-cache.php: Minor typo

2009-10-20 11:13  donncha

	* wp-cache.php: Minor text change to aid translation. Props Aldo
	  Latino

2009-10-15 03:08  donncha

	* readme.txt: Added troubleshooting no 20., php vs apache owners
	  accessing cache files. props Nikolay Bachiyski.

2009-10-12 22:01  donncha

	* wp-cache.php: Fix problem deleting cache files. props Marco
	  Schmoecker

2009-10-06 14:55  donncha

	* wp-cache-phase2.php: Deleting a moderated comment shouldn't
	  delete cached files.

2009-10-06 10:32  donncha

	* wp-cache-phase2.php: "wp_set_comment_status" action has 2
	  parameters

2009-10-06 08:50  donncha

	* wp-cache-phase2.php: Don't delete cache files on moderated pings
	  or trackbacks

2009-10-05 21:29  donncha

	* wp-cache.php: Remove this debugging code

2009-10-05 21:25  donncha

	* wp-cache.php: Schedule the site checker from the admin page, fix
	  typo when checking schedules

2009-10-05 16:53  donncha

	* wp-cache.php: Added gzipped front page checker that kicks in
	  every 60 seconds via cron

2009-10-02 21:42  donncha

	* Changelog.txt: More updating

2009-10-02 21:40  donncha

	* readme.txt, wp-cache.php: Bump version to 0.9.7

2009-10-02 21:39  donncha

	* Changelog.txt: Updated changelog

2009-10-02 21:34  donncha

	* wp-cache-phase2.php: Don't show "blank page", "404 not cached" or
	  "no html tag" warnings on output unless debugging enabled.

2009-10-02 19:45  donncha

	* Changelog.txt, readme.txt: Updated changelog and readme.txt
	  changes

2009-10-02 13:14  donncha

	* wp-super-cache.pot: Updated POT file

2009-10-02 13:09  donncha

	* wp-cache.php: Minor text change to bio text

2009-10-01 20:47  donncha

	* wp-cache-phase2.php, wp-cache.php: Added more debugging, on cache
	  cleanup

2009-10-01 20:26  donncha

	* wp-cache.php: Sort the file listing by newest first.
	  Hide a filemtime warning, props @reverbstudios

2009-10-01 19:57  donncha

	* wp-cache-phase1.php: Load wp-cache-phase2.php all the time

2009-10-01 17:50  donncha

	* readme.txt: Added "How do I make certain parts of the page stay
	  dynamic?" to FAQ

2009-09-30 09:51  donncha

	* wp-cache.php: Sort the stale from the fresh wp-cache files
	  properly

2009-09-29 22:21  donncha

	* wp-cache-config-sample.php: Added $wp_super_cache_late_init to
	  config page

2009-09-29 10:17  donncha

	* wp-cache.php: Add button to delete specific cache files.

2009-09-29 09:14  donncha

	* wp-cache.php: Count wp-cached cache files correctly

2009-09-29 08:17  donncha

	* wp-cache-config-sample.php: Added "Yandex" to list of rejected UA
	  for not caching

2009-09-29 08:08  donncha

	* wp-cache.php: Add anchors to each section of the admin page

2009-09-29 07:47  donncha

	* wp-cache-phase2.php: Don't cache wp-admin requests

2009-09-29 07:43  donncha

	* wp-cache-phase2.php: Disable supercaching when GET parameters
	  present instead of all caching. Disable on POST (as normal) and
	  preview

2009-09-28 21:59  donncha

	* wp-cache-phase1.php: Move cron code down so that cache variables
	  are set.

2009-09-28 21:37  donncha

	* wp-super-cache.pot: More translatable text

2009-09-28 21:35  donncha

	* wp-cache.php: More il8n mods

2009-09-28 17:48  donncha

	* wp-cache.php: More il8n mods

2009-09-28 13:57  donncha

	* wp-cache.php: Add positional anchors

2009-09-28 13:52  donncha

	* wp-cache.php: Improve listing of cache files

2009-09-28 13:35  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php, wp-cache.php: Record
	  the cache key in the wp-cache meta file. Show that key on the
	  admin page file listings and add "wp_cache_meta" filter to modify
	  the cache meta data

2009-09-28 13:12  donncha

	* wp-cache.php: Warn users they must enable mobile device support
	  if rewrite rules detected. Better detect when to warn that
	  .htaccess rules must be updated (no need when rewrite rules not
	  present)

2009-09-28 11:12  donncha

	* wp-cache.php: Allow admin to list cached files.

2009-09-28 09:43  donncha

	* wp-cache.php: More il8n changes

2009-09-24 20:45  donncha

	* wp-cache.php: Forgot the fieldset, props thunderlounge!

2009-09-24 11:43  donncha

	* wp-cache.php, wp-super-cache.pot: Renamed text domain to
	  wp-super-cache
	  Added .pot file
	  Load text domain as described in
	  http://codex.wordpress.org/I18n_for_WordPress_Developers

2009-09-24 11:27  donncha

	* wp-cache.php: First stab at internationalising wp-super-cache

2009-09-24 10:18  donncha

	* wp-cache.php: Removed REQUEST_URI from form actions

2009-09-20 21:13  donncha

	* wp-cache-phase2.php, wp-cache.php: Added "Newest Cached Pages"
	  option to list 10 newest pages cached by the plugin.

2009-09-20 19:10  donncha

	* wp-cache-phase2.php: Added "wpsupercache_404" filter. Return true
	  to cache error 404 pages. Props simonwheatley, see
	  http://wordpress.org/support/topic/312672

2009-09-18 20:37  donncha

	* wp-cache-phase1.php: Include the wordpress_test_cookie in the
	  cache key for wp-cache files.

2009-09-16 10:23  donncha

	* wp-cache-phase1.php: Late Init. Don't do anything until "init"

2009-09-16 10:21  donncha

	* wp-cache-phase2.php: Better debug messages

2009-09-15 10:58  donncha

	* wp-cache-config-sample.php, wp-cache-phase1.php,
	  wp-cache-phase2.php, wp-cache.php: Check if logging enabled
	  before calling debug function (optimization)
	  Improve debug admin screen

2009-09-10 10:12  donncha

	* wp-cache.php: Generate the correct rules for users ins
	  directories

2009-09-10 08:41  donncha

	* wp-cache.php: When cache compression is off don't divide number
	  of cached files by 2 as no .gz files are created. Props dpark,
	  http://wordpress.org/support/topic/309443

2009-09-09 16:29  donncha

	* wp-cache-phase2.php: Improved output buffer error message

2009-09-09 12:37  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php, wp-cache.php: Added
	  debug settings section on admin page.

2009-09-09 09:11  donncha

	* wp-cache.php: Check if safe_mode is 1 or "on",
	  http://wordpress.org/support/topic/239579?replies=9#post-1204927

2009-09-03 11:06  donncha

	* wp-cache-phase2.php: Don't cache GET requests earlier on before
	  OB is set up.

2009-09-03 11:05  donncha

	* wp-cache-phase1.php: If debugging is not set then return
	  immediately

2009-09-03 11:02  donncha

	* wp-cache-config-sample.php, wp-cache-phase1.php,
	  wp-cache-phase2.php: Added logging to a file and configurable log
	  level

2009-09-01 09:31  donncha

	* readme.txt: Updated description of "How to tell if a page is
	  cached"

2009-09-01 09:26  donncha

	* wp-cache.php: Tell user that compression is enabled in half-on
	  mode.

2009-08-24 13:04  donncha

	* readme.txt: Added http://redbot.org/ to FAQ (thanks Alex!)

2009-08-24 12:14  donncha

	* wp-cache.php: Send the Vary header to browsers

2009-08-24 08:49  donncha

	* readme.txt: Added FAQ about caching warnings at
	  ismyblogworking.com

2009-08-21 16:52  donncha

	* wp-cache.php: Minor fixes for rewrite rules.
	  http://wordpress.org/support/topic/301570?replies=14

2009-08-19 08:44  donncha

	* readme.txt: Added troubleshooting note to use half-on mode if
	  timestamp keeps updating.

2009-08-06 10:55  donncha

	* wp-cache-phase2.php, wp-cache.php: Added "Cached Page" counter.

2009-07-30 08:24  donncha

	* wp-cache-phase2.php, wp-cache.php: Add support for not caching
	  feeds and search pages.

2009-07-29 17:28  donncha

	* Changelog.txt: Updated changelog

2009-07-29 17:26  donncha

	* readme.txt, wp-cache.php: Bump version to 0.9.6.1

2009-07-29 17:13  donncha

	* readme.txt: Added changelog details for 0.9.6.1

2009-07-29 11:43  donncha

	* wp-cache-phase2.php, wp-cache.php: Apply "no caching" rules
	  Record options properly

2009-07-29 11:29  donncha

	* wp-cache.php: Add page types to not cache to admin page

2009-07-29 09:36  donncha

	* wp-cache-phase2.php: Move logged in message below check for POST
	  Add check for is_admin() too
	  (http://wordpress.org/support/topic/294687)

2009-07-27 11:51  donncha

	* Changelog.txt: Updated changelog

2009-07-27 11:50  donncha

	* readme.txt, wp-cache.php: Bumped version to 0.9.6

2009-07-27 11:49  donncha

	* Changelog.txt: Updated changelog.txt

2009-07-27 11:46  donncha

	* wp-cache.php: I prefer pretty links

2009-07-27 11:43  donncha

	* readme.txt: Added 0.9.6 changelog

2009-07-27 11:38  donncha

	* wp-cache-phase2.php: Only show "not cached" message to logged in
	  users if not a feed.

2009-07-27 11:34  donncha

	* wp-cache.php: Add link to uninstall script to admin page

2009-07-27 11:33  donncha

	* readme.txt: Added filesmatch rules to docs

2009-07-27 11:26  donncha

	* readme.txt: Added docs for using uninstall script

2009-07-27 11:25  donncha

	* uninstall.php: Check if user can install plugins in uninstall
	  script

2009-07-27 11:17  donncha

	* uninstall.php: Added uninstall script

2009-07-27 10:42  donncha

	* wp-cache-phase2.php: Removed check of filemtime that's not needed
	  any more.

2009-07-27 10:41  donncha

	* wp-cache.php: Added "ForceType" in cache .htaccess to force
	  supercache html.gz files to be served as html files.

2009-07-27 10:39  donncha

	* readme.txt: Added category page and static page problem to FAQ

2009-07-21 11:57  donncha

	* wp-cache-phase1.php: Fix indentation

2009-07-21 11:55  donncha

	* wp-cache-phase2.php: Add back in
	  wp_cache_user_agent_is_rejected() if it doesn't exist (shouldn't
	  happen but it does)

2009-07-21 10:58  donncha

	* wp-cache-phase2.php: Added message to show to logged in users
	  when caching disabled for them.

2009-07-21 10:34  donncha

	* wp-cache-phase2.php: Check the filemtime on the right file, props
	  Simone Marx

2009-07-20 16:37  donncha

	* wp-cache.php: Remove "get_comment_author_url" filter

2009-07-17 15:42  donncha

	* wp-cache.php: Silly typo

2009-07-17 15:41  donncha

	* wp-cache.php: Use Amazon UK link rather than US one

2009-07-17 15:31  donncha

	* Changelog.txt: Updated changelog

2009-07-17 15:30  donncha

	* readme.txt: Added changelog to readme.txt

2009-07-17 15:22  donncha

	* readme.txt, wp-cache.php: Bump version to 0.9.5
	  Bump tested version to 2.8.1

2009-07-17 15:19  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php, wp-cache.php: Don't
	  serve wp_cached cache files to rejected USER AGENTs

2009-07-17 15:08  donncha

	* wp-cache.php: Show next and last GC times in minutes, not local
	  times

2009-07-02 17:21  donncha

	* wp-cache-phase2.php: Rearrange checks for cache files.

2009-06-25 21:01  donncha

	* wp-cache-phase2.php: Hide filemtime warnings

2009-06-19 15:07  donncha

	* wp-cache-phase1.php: Don't check the filesize or mtime

2009-06-19 13:02  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Don't check file age
	  when serving cached content - it will be deleted by ordinary
	  updates or by garbage collection
	  Check file age of each cache file only when regenerating (and
	  only to check if file was recently recreated)

2009-06-19 09:03  donncha

	* wp-cache.php: Updated blurb

2009-06-19 09:01  donncha

	* Changelog.txt: Updated changelog

2009-06-18 12:34  donncha

	* wp-cache-phase2.php: Typos in closing and unlink commands

2009-06-12 10:47  donncha

	* readme.txt, wp-cache-config-sample.php, wp-cache-phase1.php,
	  wp-cache.php: Bump tested version to 2.8
	  Applied patch to fix PHP warnings by Matt Martz,
	  http://sivel.net/

2009-06-10 22:46  donncha

	* wp-cache-phase1.php: Forgot the mobile whitelist

2009-06-05 17:04  donncha

	* wp-cache-phase1.php: Use cookies action instead of cache_key so
	  that supercache files aren't generated by anon mobile users

2009-06-05 15:12  donncha

	* wp-cache-config-sample.php, wp-cache.php: Added "Android" mobile
	  user agent, thanks Matt Martz/sivel

2009-06-05 12:27  donncha

	* readme.txt, wp-cache.php: Don't force the plugin into "half on"
	  mode if mobile support selected.
	  Added rewrite rules so that mobile devices are ignored by static
	  cache.
	  Thanks Vladimir Prelovac for bugging me about this.

2009-05-29 08:40  donncha

	* wp-cache-phase1.php: Ignore the WP test cookie, props Jay @
	  http://jay.gooby.org/post/nginx-wp-super-cache-not-writing-cache-files-solved

2009-05-26 09:55  donncha

	* wp-cache-phase2.php: Use blog's html type rather than text/html,
	  props Weston Ruter

2009-05-26 09:25  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Cache the REQUEST_URI
	  in $wp_cache_request_uri in case a plugin overwrites it.

2009-05-21 13:12  donncha

	* wp-cache.php: Add newlines to mod_rewrite rules

2009-05-19 11:21  donncha

	* readme.txt: Updated recent changes list

2009-05-19 11:18  donncha

	* readme.txt: Updated docs for DONOTCACHEPAGE constant

2009-05-19 11:15  donncha

	* wp-cache.php: Added "WPSC_DISABLE_COMPRESSION" constant so
	  hosting companies can disable compression in wp-super-cache

2009-05-19 11:04  donncha

	* wp-cache.php: Added "WPSC_DISABLE_LOCKING" constant so hosting
	  companies can disable file locking sitewide

2009-05-19 10:19  donncha

	* wp-cache-phase2.php: Added "DONOTCACHEPAGE" constant so plugins
	  can specify pages that should not be cached.

2009-05-11 13:35  donncha

	* wp-cache.php: Use PHP_DOCUMENT_ROOT in .htaccess rules if set,
	  props Adrian Ott @ Mosso

2009-04-25 06:30  donncha

	* Changelog.txt: Updated changelog

2009-04-25 06:30  donncha

	* readme.txt, wp-cache.php: Bumped version number to 0.9.4.3

2009-04-23 20:04  donncha

	* wp-cache-phase2.php: Move mutex init above actions again

2009-04-22 11:34  donncha

	* readme.txt, wp-cache.php: Bump version number to 0.9.4.2

2009-04-22 11:06  donncha

	* wp-cache-phase2.php: Move check for logged in user after actions
	  are defined, otherwise cache files aren't updated. See
	  http://wordpress.org/support/topic/264090?replies=2

2009-04-21 19:53  donncha

	* Changelog.txt: Updated changelog

2009-04-21 19:53  donncha

	* readme.txt, wp-cache.php: Bumped version to 0.9.4.1

2009-04-21 19:52  donncha

	* wp-cache.php: Oops, make sure the "don't cache if logged in"
	  checkbox can be unchecked!
	  Clear the cache when it's enabled

2009-04-21 15:46  donncha

	* Changelog.txt: Updated changelog

2009-04-21 15:45  donncha

	* readme.txt: Updated recent changes

2009-04-21 15:44  donncha

	* Changelog.txt: Updated changelog

2009-04-21 15:43  donncha

	* readme.txt, wp-cache.php: Bumped version number to 0.9.4

2009-04-21 11:46  donncha

	* wp-cache.php: Minor docs update

2009-04-20 09:25  donncha

	* wp-cache-phase2.php: Check that user is logged in before not
	  caching

2009-04-20 08:49  donncha

	* wp-cache-phase2.php, wp-cache.php: Added "Don't cache for logged
	  in users" option

2009-04-18 22:03  donncha

	* readme.txt: Updated donation link

2009-04-15 16:38  donncha

	* wp-cache.php: Display file size stats on admin page

2009-04-15 15:27  donncha

	* wp-cache-phase2.php: Clear the cache when the profile is updated.
	  Props djquinn http://wordpress.org/support/topic/261504?replies=6
	  http://www.dquinn.net/wp-super-cache-preview-draft-update-profile-wordpress/

2009-04-15 15:25  donncha

	* wp-cache-phase1.php: Don't cache post previews

2009-04-14 14:10  donncha

	* wp-cache-config-sample.php, wp-cache.php: Added backslashes to
	  rejected URI. See
	  http://wordpress.org/support/topic/260790?replies=10#post-1045412

2009-04-06 14:17  donncha

	* Changelog.txt: Updated changelog to 0.9.3.1

2009-04-06 14:16  donncha

	* readme.txt, wp-cache.php: Bump version to 0.9.3.1

2009-04-06 14:16  donncha

	* readme.txt: Added link to forum thread on posting problems in
	  0.9.3

2009-04-06 14:11  donncha

	* readme.txt: Added "Recent Changes" section to start of readme.txt
	  to make life easier on those upgrading

2009-04-05 22:15  donncha

	* advanced-cache.php: Don't show broken path message in wp-admin.
	  Check if file is missing before showing an error

2009-04-05 21:51  donncha

	* wp-cache-phase1.php: Return true so the include_once() returns
	  true. Fixes problem with saving posts

2009-04-05 18:53  donncha

	* wp-cache-phase2.php: Clear the supercache when all cache is
	  cleared on post edit.

2009-04-05 18:53  donncha

	* advanced-cache.php: whitespace cleanup

2009-04-05 09:36  donncha

	* Changelog.txt: Updated changelog

2009-04-05 08:25  donncha

	* wp-cache-phase2.php: Hide any potential opendir warnings

2009-04-04 11:40  donncha

	* Changelog.txt: Updated Changelog to 0.9.3

2009-04-04 11:40  donncha

	* readme.txt, wp-cache.php: Bump version number to 0.9.3

2009-04-04 11:23  donncha

	* wp-cache.php: Minor change in cache rebuild and mutex option text

2009-04-04 11:15  donncha

	* wp-cache-phase1.php: Cache files for single blogs go in cache/,
	  MU cache files go in cache/blogs/

2009-04-03 15:01  donncha

	* wp-cache-config-sample.php, wp-cache.php: "Cache rebuild" feature
	  is now on by default
	  File locks are off by default
	  Change language on admin page to "Enable file locking" instead of
	  "Disable..."

2009-04-02 19:56  donncha

	* wp-cache-phase2.php: Get rid of more get_option() calls in the
	  shutdown function

2009-04-02 13:42  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php, wp-cache.php: Added a
	  blog cache dir. WordPress MU blogs will be cached into different
	  directories.
	  Regular WP will cache into cache/blogs/ instead of cache/

2009-04-02 13:41  donncha

	* readme.txt: Update docs:
	  1. new signature on page.
	  2. Minor text changes

2009-04-02 11:49  donncha

	* wp-cache-phase2.php: Removed errlog

2009-04-02 11:09  donncha

	* wp-cache-phase2.php: Check if rejected uri expr is a blank. See
	  http://justinblanton.com/2009/03/broken-wp-super-cache

2009-04-01 11:46  donncha

	* wp-cache-phase2.php: Added "wp_cache_rebuild_or_delete()"
	  function to delete or create rebuild cache files

2009-03-31 10:56  donncha

	* readme.txt: Minor docs update

2009-03-31 10:53  donncha

	* readme.txt: Updated docs to stress that wp-cached files are "good
	  enough" for most people.

2009-03-31 10:46  donncha

	* advanced-cache.php, readme.txt: Added "wpcache_broken_message()"
	  and code to catch when path in advanced-cache.php is broken.

2009-03-31 10:32  donncha

	* wp-cache.php: Check if admin_url exists. Not everyone updates
	  WordPress.

2009-03-31 10:31  donncha

	* wp-cache-phase2.php: In post change, remove corrupted or obsolete
	  meta and cache files

2009-03-31 10:30  donncha

	* Changelog.txt: Updated changelog.txt

2009-03-30 16:12  donncha

	* wp-cache-phase2.php: Added an "auto reject" list of URIs

2009-03-30 06:22  donncha

	* wp-cache-phase1.php: Remove corrupted or obsolete meta file and
	  cache file.

2009-03-30 04:53  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Don't use array_push().
	  Removed wp_cache_file_contents action as it may contribute to
	  memory problems for some hosts.
	  Pass buffer by reference to ob function.
	  Revert merge of shutdown function and ob function
	  Pass "siteurl" to post_id gc function

2009-03-29 16:32  donncha

	* wp-cache-phase1.php: Make sure $meta is an array

2009-03-28 13:03  donncha

	* Changelog.txt: Updated changelog

2009-03-28 13:02  donncha

	* readme.txt, wp-cache.php: Bump version number to 0.9.2

2009-03-28 12:58  donncha

	* readme.txt: Added a troubleshooting entry for advanced-cache.php

2009-03-28 12:54  donncha

	* advanced-cache.php: Include once instead of require because it
	  won't cause a FATAL error if the path is incorrect

2009-03-28 12:39  donncha

	* readme.txt: Minimum version is now 2.6, props tigertech,
	  http://wordpress.org/support/topic/255628?replies=1

2009-03-28 12:34  donncha

	* wp-cache-phase2.php: Delete static "pages on front" when posts
	  change.

2009-03-28 12:30  donncha

	* readme.txt: Move uninstall instructions up
	  Added "If all else fails" instructions

2009-03-21 21:15  donncha

	* wp-cache.php: Added "Settings" link on plugins page.
	  Simplified admin notice, may fix 500 internal errors

2009-03-21 21:13  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php, wp-cache.php: Revert
	  moving meta information into cache file. It took too long to scan
	  the directory

2009-03-20 15:34  donncha

	* wp-cache-phase2.php: Unlink supercache cache files as well as
	  wp-cache files

2009-03-20 15:33  donncha

	* wp-cache-phase2.php: No need for separate $log variable

2009-03-20 15:31  donncha

	* wp-cache-phase2.php: $supercacheonly is set further up

2009-03-20 15:30  donncha

	* wp-cache-phase2.php: Minor typos "attac"
	  Removed unused function

2009-03-20 15:28  donncha

	* wp-cache-phase2.php: Make sure other actions have a chance to
	  mark comments as spam

2009-03-13 22:19  donncha

	* wp-cache-phase1.php: Don't need that error_log

2009-03-13 11:41  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php, wp-cache.php: Make meta
	  an array rather than an object because of this change to PHP5:
	  http://bugs.php.net/bug.php?id=40104
	  Move meta file data into cache file.

2009-03-13 09:06  donncha

	* wp-cache-phase2.php: Move wp_cache_shutdown_callback() into the
	  ob callback

2009-03-09 09:52  donncha

	* wp-cache.php: Only check for apache modules if in supercache
	  mode.

2009-02-27 09:55  donncha

	* plugins/badbehaviour.php: Note that compression disabled when BB
	  support enabled.

2009-02-27 09:46  donncha

	* plugins/badbehaviour.php: Bad-behavior fixes. Plugin will find
	  the bb plugin folder now.

2009-02-26 12:55  donncha

	* wp-cache-phase1.php: set the right variable.

2009-02-26 11:53  donncha

	* Changelog.txt: Updated changelog, should have svnupped last time

2009-02-26 11:53  donncha

	* Changelog.txt: Updated changelog

2009-02-26 11:51  donncha

	* readme.txt, wp-cache.php: Bump version to 0.9.1

2009-02-26 11:35  donncha

	* readme.txt: Updated docs on "expired pages" and the required
	  modules needed to serve new data

2009-02-26 11:23  donncha

	* wp-cache.php: Remove "experimental" heading.

2009-02-26 11:07  donncha

	* wp-cache.php: Added "About the author" box to admin page.

2009-02-19 16:07  donncha

	* wp-cache.php: Make the donation box hidable.

2009-02-19 15:46  donncha

	* wp-cache.php: Added donation button, yes my html skills suck.

2009-02-19 15:00  donncha

	* wp-cache.php: Match IP against 192.168 instead of 192.

2009-02-19 13:43  donncha

	* readme.txt, wp-cache.php: Added checks for hostname = 127.x.x.x
	  or 192.x.x.x or if available uses wp_remote_get() to load
	  wp-cron.php
	  Gives warning if checks fail
	  Updated readme.txt with docs on how to resolve. Thanks to Joost
	  de Valk for help debugging this. http://yoast.com/wp-cron-issues/

2009-02-19 13:34  donncha

	* wp-cache-phase2.php: Hide file op warning.
	  Removed register_shutdown command that's not used any more

2009-02-19 11:48  donncha

	* wp-cache.php: Hide rename warning. Possibly related to no global
	  lock.

2009-02-17 13:04  donncha

	* Changelog.txt: Updated changelog

2009-02-17 12:58  donncha

	* wp-cache-phase2.php: Don't show no HTML tag warning for
	  robots.txt, http://wordpress.org/support/topic/243904?replies=1

2009-02-17 12:36  donncha

	* wp-cache.php: Clear the supercache folder when it's disabled.
	  Remove the .disabled folder if a supercache folder exists.
	  Show Last and Next garbage collection times as UTC
	  Added an admin notice on the plugins page if wp-super-cache
	  caching is disabled
	  Add plugin notice below plugin row if caching is disabled

2009-02-17 12:34  donncha

	* wp-cache-phase2.php: Hide some filemtime() warnings. Without a
	  global file lock we'll get more of these.

2009-02-17 12:33  donncha

	* plugins/badbehaviour.php: Disable the supercache if Bad Behaviour
	  support is enabled.

2009-02-14 11:48  donncha

	* readme.txt: Updated tag and added Donation link

2009-02-06 10:48  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Just use the output
	  buffer, no shutdown functions.

2009-02-05 20:53  donncha

	* wp-cache-phase2.php: No need to call this callback twice!

2009-02-05 15:32  donncha

	* wp-cache-config-sample.php: Remove any slashes left in the
	  blogcacheid

2009-02-05 13:36  donncha

	* wp-cache.php: Replace blashslashes in WP_CONTENT_DIR here,
	  possible Win32 fix

2009-02-05 10:20  donncha

	* readme.txt: Added "UserOnline" to the list of plugins that don't
	  update when a page is cached

2009-02-05 09:55  donncha

	* wp-cache.php: Replace backslashes in WP_CONTENT_DIR too. Win32
	  fix. props Chris (beerfan)

2009-02-04 21:49  donncha

	* wp-cache-config-sample.php, wp-cache-phase2.php: Added
	  $wp_cache_shutdown_gc config option to use shutdown instead of
	  wp-cron
	  Added comments on config options

2009-02-04 20:38  donncha

	* wp-cache-phase2.php: Don't create empty supercache directories.

2009-02-04 10:25  donncha

	* readme.txt: Troubleshooting updates: advanced-cache.php, cache on
	  NFS warning

2009-02-03 21:53  donncha

	* plugins/badbehaviour.php, wp-cache-phase1.php: Things act strange
	  when a function has a require_once(), even if it's never reached

2009-02-03 21:41  donncha

	* plugins/badbehaviour.php, plugins/searchengine.php,
	  wp-cache-config-sample.php, wp-cache-phase1.php: Added Bad
	  Behaviour plugin
	  Allow SuperCache plugin directory to be relocated. See
	  $wp_cache_plugins_dir in config file.
	  Fixed updating Active status of searchengine plugin
	  Added new cacheactions:
	  'wp_cache_served_cache_file' activated just before headers are
	  sent for an existing cache file.
	  'wp_cache_file_contents' filter that every wp-cache cache file is
	  sent through. (ignoring mfunc)

2009-02-03 12:11  donncha

	* wp-cache-phase1.php: Clean and echo the buffer

2009-02-03 11:49  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Register supercache
	  shutdown function right at the start of the process so it's
	  executed before WP objects are destroyed

2009-02-02 15:48  donncha

	* wp-cache-phase2.php: Don't register shutdown function, call it
	  from the output buffer callback.

2009-02-02 09:58  donncha

	* wp-cache-phase2.php: Don't read files into an array, reverting
	  [86134]

2009-01-29 17:19  donncha

	* wp-cache.php: Remove double slashes from inst_root

2009-01-29 16:28  donncha

	* wp-cache.php: Guess the install root properly

2009-01-29 14:25  donncha

	* wp-cache-phase2.php: Revert prune_super_cache and
	  garbage_collection code.

2009-01-29 06:41  donncha

	* wp-cache.php: Fix caching for blogs installed in sub dirs. See
	  http://wordpress.org/support/topic/238022?replies=6

2009-01-27 19:57  donncha

	* wp-cache-phase2.php: Only rename the tmp cache file when it's
	  created.
	  Hide warnings about renames and unlinks

2009-01-27 06:18  donncha

	* Changelog.txt: Updated changelog

2009-01-27 06:17  donncha

	* readme.txt, wp-cache.php: Bump version to 0.9

2009-01-27 06:17  donncha

	* wp-cache-phase2.php: Bring back mfunc code

2009-01-27 05:53  donncha

	* wp-cache-phase2.php, wp-cache.php: Set GC to 10 minutes instead
	  of 30.

2009-01-26 20:08  donncha

	* wp-cache.php: Show last and next garbage collection times

2009-01-26 18:11  donncha

	* wp-cache.php: Make sure constant value is displayed, props
	  Jonathan Dingman

2009-01-26 17:32  donncha

	* wp-cache-phase1.php: Update mobile "enabled" variable

2009-01-26 17:32  donncha

	* wp-cache-phase2.php: Don't send gzip headers if headers already
	  sent

2009-01-26 13:00  donncha

	* wp-cache-config-sample.php, wp-cache-phase2.php, wp-cache.php:
	  Removed "dynamic caching" that isn't documented anywhere any more
	  Fixed activate bugs with mobile device support

2009-01-26 11:12  donncha

	* wp-cache-config-sample.php, wp-cache-phase1.php, wp-cache.php:
	  Mobile device support via
	  http://wordpress.org/extend/plugins/wordpress-mobile-edition/ by
	  Alex King

2009-01-26 10:03  donncha

	* readme.txt: Added extra FAQs

2009-01-25 11:21  donncha

	* wp-cache-phase2.php, wp-cache.php: Admin page updates
	  If expiry time is over 30 minutes, set garbage collection to 30
	  minutes, else expiry time

2009-01-25 09:11  donncha

	* wp-cache-phase2.php: If supercache enabled, Don't create wp-cache
	  files for anonymous users. Should cut down cached files by half
	  ore more.

2009-01-25 07:56  donncha

	* wp-cache-phase2.php: Warn if cache expiry cron job took longer
	  than 30 seconds, props SiriusBuzz

2009-01-25 07:49  donncha

	* advanced-cache.php, wp-cache-phase2.php, wp-cache.php:
	  advanced-cache.php will load the phase1.php even in relocated
	  plugin folders now. (NOTE. Must be updated if plugin folder
	  changes)
	  Removed error_log()

2009-01-24 06:03  donncha

	* wp-cache.php: Update advanced-cache.php message, props Jonathan
	  Dingman

2009-01-23 19:10  donncha

	* Changelog.txt: Updated Changelog for 0.8.9

2009-01-23 19:09  donncha

	* readme.txt, wp-cache.php: Bump version number to 0.8.9 and update
	  documentation

2009-01-23 18:34  donncha

	* wp-cache.php: Updated text

2009-01-23 12:43  donncha

	* wp-cache-phase2.php, wp-cache.php: Set garbage collection to 10
	  seconds after expiry

2009-01-23 12:13  donncha

	* wp-cache.php: mutext variable needs to be global

2009-01-23 12:06  donncha

	* advanced-cache.php, wp-cache.php: Added "advanced-cache.php"
	  which will load wp-cache-phase1.php
	  Copy that file to wp-content/ instead of symlinking
	  Added checkboxes for "cache rebuild" and "disable file locking"
	  remove #list anchor tag

2009-01-22 11:26  donncha

	* wp-cache-phase2.php: Delete lots more cache files in one go, for
	  busy sites

2009-01-21 13:42  donncha

	* wp-cache-phase2.php: Removed "cron job called" debug message

2009-01-21 13:05  donncha

	* wp-cache.php: Show all sections of the admin page by default.
	  Move cache contents up

2009-01-20 11:23  donncha

	* wp-cache.php: Admin page UI update, props Robert Wolf

2009-01-19 18:29  donncha

	* wp-cache-config-sample.php: Comment out $wp_cache_mutex_disabled
	  by default

2009-01-19 18:27  donncha

	* wp-cache-config-sample.php, wp-cache-phase2.php: Allow mutex file
	  locking to be disabled

2009-01-19 18:18  donncha

	* wp-cache.php: Fix the favourites if a non admin users logs in

2009-01-16 17:04  donncha

	* Changelog.txt: Updated Changelog

2009-01-16 17:03  donncha

	* wp-cache-config-sample.php, wp-cache-phase1.php,
	  wp-cache-phase2.php: Added simple DEBUG mode. Activate by setting
	  $wp_cache_debug to your email address in wp-cache-config.php
	  Sends debug emails on: cron job, failed job, when gzip headers
	  are missing from wp-cache meta file.

2009-01-16 16:14  donncha

	* readme.txt, wp-cache.php: Bump version to 0.8.8

2009-01-16 16:10  donncha

	* wp-cache.php: Added "Delete Cache" link to Favourites menu

2009-01-15 23:16  donncha

	* wp-cache-phase2.php: We clean up files as well as directories.
	  Should fix issue with non-updating blogs

2009-01-14 22:47  donncha

	* wp-cache-config-sample.php, wp-cache-phase1.php,
	  wp-cache-phase2.php: Remove debugging code

2009-01-14 18:51  donncha

	* wp-cache-config-sample.php, wp-cache-phase1.php,
	  wp-cache-phase2.php: Lots of debug code

2009-01-14 14:33  donncha

	* readme.txt: Updated the "How do I know my blog is being cached?"
	  FAQ

2009-01-12 17:51  donncha

	* wp-cache-phase2.php: Don't overwrite $dh directory handler

2009-01-12 17:38  donncha

	* wp-cache-phase2.php: When reading large directories, create array
	  of files. The opendir handle seems to die.

2009-01-11 09:16  donncha

	* wp-cache-phase2.php, wp-cache.php: Use opendir()/readdir()
	  instead of glob()

2009-01-09 21:16  donncha

	* wp-cache-phase2.php: Minor typo

2009-01-09 11:04  donncha

	* Changelog.txt: Updated changelog

2009-01-09 11:04  donncha

	* readme.txt, wp-cache.php: Bump version to 0.8.7

2009-01-09 10:59  donncha

	* wp-cache-phase2.php, wp-cache.php: Change default expiry time to
	  10 minutes
	  Only clean out 100 files at a time. Should help with very large
	  sites.
	  Fix file pointer.

2008-12-05 09:57  donncha

	* wp-cache.php: Fix term -> meta typo, props kettari,
	  http://wordpress.org/support/topic/222613?replies=1

2008-12-04 18:13  donncha

	* Changelog.txt: Updated changelog for 0.8.6

2008-12-04 18:12  donncha

	* wp-cache-phase1.php: Added "WP-Super-Cache: WP-Cache" header for
	  cached php files.

2008-12-04 17:59  donncha

	* readme.txt, wp-cache.php: Bump version numberb to 2.7

2008-12-04 17:44  donncha

	* wp-cache.php: Hide unlink errors

2008-12-04 16:53  donncha

	* wp-cache-phase2.php: Use uniqid() instead of tempnam() to
	  generate temporary filenames.
	  No need for chmod.
	  Fixed minor typo

2008-12-04 13:40  donncha

	* wp-cache-phase2.php: Record time of cache generation

2008-12-04 13:27  donncha

	* readme.txt: Added Apache configuration docs on AllowOverride

2008-12-02 11:00  donncha

	* wp-cache.php: If WP_CACHE is not enabled, but the define() line
	  is in wp-config.php, stop, because it's probably commented out.

2008-12-01 11:38  donncha

	* wp-cache-phase2.php: Abort caching if plugin can't write to any
	  cache file, and report error
	  $gzsize may not survive to shutdown callback. Get the filesize
	  again

2008-12-01 11:37  donncha

	* wp-cache-phase1.php: Push the headers into the headers array, not
	  the meta object

2008-11-25 12:58  donncha

	* Changelog.txt: Updated changelog

2008-11-25 12:58  donncha

	* readme.txt, wp-cache.php: Bump version number to 0.8.5

2008-11-25 12:45  donncha

	* wp-cache-phase2.php: Added "supercache_dir" filter so supercache
	  directory can be modified.

2008-11-25 12:40  donncha

	* wp-cache-phase2.php: Removed backslashes from the supercache
	  filename

2008-11-25 12:27  donncha

	* wp-cache.php: Warn if Apache modules are missing.
	  Display gzip cache rewrite rules.
	  Deal with WordPress MU better as it can't upgrade the .htaccess
	  file.

2008-11-25 12:24  donncha

	* wp-cache-phase1.php: Added wp_cache_key cacheaction to modify
	  cache key (ie. add user agent, IP, etc)

2008-11-25 11:10  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Check that cache file
	  exists before serving, it may have been removed without the meta
	  file

2008-11-25 11:01  donncha

	* wp-cache-phase2.php: Removed $gzipped variable

2008-11-25 10:54  donncha

	* wp-cache-phase2.php: No need to addslashes() to file functions

2008-11-14 13:20  donncha

	* wp-cache-phase2.php: Added wpsupercache_buffer filter so buffer
	  can be manipulated before writing to cache file

2008-11-14 13:00  donncha

	* wp-cache-phase2.php: Move gzip header detection down

2008-11-14 10:09  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Add gzip headers back
	  if they are missing. Should fix problems with users seeing
	  corrupted pages.

2008-11-14 10:00  donncha

	* readme.txt: Updated docs on file locking

2008-11-11 17:28  donncha

	* wp-cache-phase2.php: Write wp-cache php cache files to temporary
	  files before moving into place.
	  Increase gzip compression to 3
	  If cron job failed to get mutex lock, try again in 10 minutes

2008-11-07 09:43  donncha

	* wp-cache.php: Use WP_CONTENT_URL in mod_rewrite rules.
	  Use WP_CONTENT_DIR in WPCACHEHOME definition.

2008-10-27 13:21  donncha

	* readme.txt: Added links section and link to WP Widget Cache,
	  props to Ben @ http://www.binarymoon.co.uk/
	  Minor troubleshooting update

2008-10-23 08:14  donncha

	* wp-cache.php: wp_cache_check_global_config() fixes by joelhardi,
	  http://wordpress.org/support/topic/211477?replies=1#post-879591

2008-10-22 15:57  donncha

	* Changelog.txt: Updated changelog

2008-10-22 15:55  donncha

	* readme.txt, wp-cache.php: Bump version number to 0.8.4

2008-10-11 22:10  donncha

	* wp-cache-phase2.php: Update the time of last gc

2008-10-10 11:54  donncha

	* wp-cache-phase2.php, wp-cache.php: Change garbage collection
	  parameters to time rather than hits

2008-10-08 16:06  donncha

	* Changelog.txt: Updated changelog

2008-10-08 16:04  donncha

	* readme.txt, wp-cache.php: Bump version numbers to 0.8.3
	  Updated docs

2008-10-08 08:12  donncha

	* readme.txt: Note for WPMU users,
	  http://wordpress.org/support/topic/208770?replies=3#post-871207

2008-10-07 12:03  donncha

	* readme.txt: x-gzip->gzip

2008-10-07 10:50  donncha

	* readme.txt: Minor typo,
	  http://wordpress.org/support/topic/208770?replies=1#post-870518

2008-10-07 10:44  donncha

	* plugins/searchengine.php: Don't overwrite logged in user details
	  in searchengine plugin.

2008-10-06 09:19  donncha

	* wp-cache-phase1.php, wp-cache.php: Encode as gzip, not x-gzip as
	  IE7 has problems with it. ref:
	  http://bugs.typo3.org/view.php?id=4623

2008-10-01 08:05  donncha

	* readme.txt, wp-cache.php: Options -> Settings, thanks webmaestro
	  http://wordpress.org/support/topic/207576?replies=2

2008-09-29 09:29  donncha

	* wp-cache.php: Only update "clear on post" setting when saving
	  status options, thanks Viper007Bond

2008-09-28 11:04  donncha

	* wp-cache-phase2.php: Only create compressed data if required

2008-09-28 06:16  donncha

	* wp-cache-phase2.php: Compress cache files with "dynamic content"
	  too

2008-09-28 05:56  donncha

	* wp-cache-phase2.php: Only compress cached files once. Nice speed
	  boost!

2008-09-28 05:46  donncha

	* wp-cache-phase2.php: Write gzipped supercache files using fopen
	  instead of gzopen

2008-09-26 23:16  donncha

	* Changelog.txt: Updated changelog

2008-09-26 23:15  donncha

	* readme.txt, wp-cache.php: Bump the version number to 0.8.2

2008-09-26 23:14  donncha

	* wp-cache-config-sample.php, wp-cache-phase2.php, wp-cache.php:
	  Added $cache_rebuild_files setting to switch off "need rebuild"
	  functionality by default

2008-09-26 16:00  donncha

	* wp-cache-phase2.php: On post change clear the front page

2008-09-26 12:04  donncha

	* wp-cache-phase2.php: Move cache writers entry up above supercache
	  cleaning.
	  Only clean individual posts, don't clear cache when no post_id

2008-09-26 09:49  donncha

	* wp-cache.php: Only show "Delete Cache" link to MU site admins or
	  admins on WP blogs

2008-09-25 12:47  donncha

	* wp-cache.php: Save "wp_cache_clear_on_post_edit" properly, thanks
	  HarryRAR,
	  http://wordpress.org/support/topic/206371?replies=2#post-861998

2008-09-25 11:12  donncha

	* wp-cache-phase2.php, wp-cache.php: Can't clear cache on edit_post
	  because leaving a comment calls edit_post unfortunately
	  Experimental code to preserve supercache version of a page while
	  it's being regenerated.

2008-09-24 14:21  donncha

	* wp-cache.php: Added "Delete Cache" link at top of admin pages

2008-09-24 13:57  donncha

	* Changelog.txt: Updated changelog, still release 0.8.1

2008-09-24 13:03  donncha

	* wp-cache-phase2.php: Added function to clear cache when a post is
	  edited

2008-09-24 13:02  donncha

	* wp-cache.php: Added "Clear on edit" checkbox to clear all cache
	  files when a post or page is edited

2008-09-24 13:01  donncha

	* wp-cache.php: Remove meta and supercache directories when
	  deactivating

2008-09-24 12:47  donncha

	* wp-cache.php: Switch status messages around.

2008-09-24 12:47  donncha

	* wp-cache.php: Remove cache/.htaccess when uninstalling.

2008-09-24 12:44  donncha

	* readme.txt: Make mod mime and rewrite line clearer, hopefully

2008-09-24 12:38  donncha

	* wp-cache-phase2.php: comment_id typo
	  Only clear supercache files if it's enabled

2008-09-24 12:37  donncha

	* readme.txt: Updated mod_rewrite rules and expiry/mime type rules

2008-09-24 11:57  donncha

	* Changelog.txt: Updated changelog for 0.8.1

2008-09-24 11:57  donncha

	* readme.txt, wp-cache.php: Bump the version number

2008-09-24 10:01  donncha

	* wp-cache-phase2.php: Make the temporary filename world readable
	  to avoid problems where Apache and PHP run as different users.
	  Thanks Tigertech for the code.

2008-09-24 09:57  donncha

	* wp-cache-phase2.php: Check that rename worked, if not, remove
	  cache file and rename again. Props tigertech

2008-09-23 19:55  donncha

	* wp-cache-phase2.php: Don't clear the supercache if it's not
	  enabled (In blog context, when a moderated comment is made)

2008-09-23 13:09  donncha

	* Changelog.txt: Updated changelog

2008-09-23 13:05  donncha

	* readme.txt, wp-cache.php: Bump the version to 0.8

2008-09-23 13:01  donncha

	* wp-cache-phase1.php: Comment: reminder to update .htaccess rules
	  if get_cookie cacheaction is used.

2008-09-23 12:58  donncha

	* wp-cache-phase1.php: Don't return if the $string is not ''

2008-09-23 12:50  donncha

	* wp-cache.php: Generate a semaphore id based on hostname and cache
	  path, props Tigertech
	  http://wordpress.org/support/topic/205195?replies=4#post-857610

2008-09-23 11:14  donncha

	* wp-cache.php: Make the expiry cleanup list an unordered list

2008-09-23 11:06  donncha

	* wp-cache-phase2.php: siteurl -> home for those who run WP in a
	  different place

2008-09-23 10:44  donncha

	* wp-cache-config-sample.php, wp-cache-phase2.php, wp-cache.php: No
	  need for $super_cache_max_time

2008-09-23 10:39  donncha

	* wp-cache-phase2.php: On post change:
	  1. Clear all files from permalink in supercache directory.
	  2. Clear siteurl/page/ permalinks.
	  3. Clear supercache files when corresponding php meta files are
	  removed.

2008-09-18 09:45  donncha

	* wp-cache.php: Show mod_rewrite rules when .htaccess is RO, props
	  Matt @ http://mattsblog.ca/

2008-09-17 16:29  donncha

	* wp-cache-phase2.php, wp-cache.php: Decrease the chance of
	  cleanup.

2008-09-17 11:01  donncha

	* wp-cache.php: Don't server cached static files when url contains
	  "=". Should avoid lots of problems with query strings

2008-09-17 11:00  donncha

	* wp-cache-phase2.php: Replace the siteurl correctly for those who
	  have installed in a subdir, but access from the directory above.
	  Thanks Viper007Bond.

2008-09-16 13:01  donncha

	* wp-cache.php: Check for WordPress MU because .htaccess can't be
	  updated.
	  Set cache control and expiry headers of supercached files. Cached
	  for 5 minutes, but with "must-revalidate"

2008-09-06 11:00  donncha

	* wp-cache-phase2.php: Write cache files to a temporary file first,
	  then rename. Rename should be atomic.

2008-08-28 11:30  donncha

	* Changelog.txt: Updated changelog

2008-08-28 11:29  donncha

	* readme.txt, wp-cache.php: Bump the version number to 0.7.1

2008-08-28 11:00  donncha

	* wp-cache.php: Updated .htaccess code:
	  Check that file is writable (again?)
	  Fix warnings about upgrades.
	  Bright yellow backgrounds on items that need attention
	  Thanks Matt @ http://twitter.com/mattfreedman/statuses/901325274
	  for reporting.

2008-08-27 19:32  donncha

	* Changelog.txt: Updated changelog

2008-08-27 19:31  donncha

	* readme.txt, wp-cache.php: Bump to 0.7, fix activation link

2008-08-27 19:17  donncha

	* Changelog.txt: Updated Changelog

2008-08-27 19:16  donncha

	* readme.txt, wp-cache.php: Bump the version number to 0.6.8

2008-08-27 18:59  donncha

	* wp-cache.php: Added rules to redirect to urls ending with a "/",
	  props Andylav and definitelynot,
	  http://wordpress.org/support/topic/199542?replies=6

2008-08-21 16:41  donncha

	* wp-cache.php: Change menu options url

2008-08-20 11:47  donncha

	* Changelog.txt: Update Changelog

2008-08-20 10:49  donncha

	* readme.txt, wp-cache.php: Bump version number to 0.6.7

2008-08-20 09:38  donncha

	* wp-cache.php: Added CRs

2008-08-20 09:01  donncha

	* wp-cache.php: Added apache_request_headers() as suggested in
	  http://wordpress.org/support/topic/197053

2008-08-19 16:27  donncha

	* plugins/searchengine.php, wp-cache.php: Updated styling with the
	  help of the simple trackback validation plugin

2008-08-19 15:11  donncha

	* wp-cache-config-sample.php: Don't include rss files in cacheable
	  list

2008-08-19 15:05  donncha

	* wp-cache.php: Added "deactivation hook" to remove
	  advanced-cache.php and wp-cache-config.php and cached files.

2008-08-14 10:39  donncha

	* wp-cache-phase1.php: Only include once

2008-08-14 09:14  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Cron fixed from Mike

2008-08-13 12:52  donncha

	* wp-cache-phase2.php, wp-cache.php: Fixes from Mike Beggs:
	  Use custom is_writeable() that works in Win32 NTFS
	  Update "Vary" header
	  Let WP Cron handle cache cleaning.
	  Don't let mod_deflate try to compress gzipped cached files

2008-08-09 10:13  donncha

	* wp-cache-phase2.php: Use get_comment(), props Lazy @
	  http://www.lazybrain.de/

2008-07-31 15:53  donncha

	* Changelog.txt: Updated changelog

2008-07-31 10:47  donncha

	* readme.txt, wp-cache.php: Bump version numbers

2008-07-29 19:52  donncha

	* wp-cache-config-sample.php, wp-cache-phase1.php, wp-cache.php: WP
	  2.6 fixes. Use WP_CONTENT_DIR. Have not added to .htaccess rules
	  yet

2008-07-28 09:37  donncha

	* readme.txt, wp-cache.php: Change wp-super-cache expiry to 3600
	  seconds.
	  Avoid foreach error on empty directories
	  Minor change to status message

2008-07-24 16:26  donncha

	* wp-cache-phase2.php, wp-cache.php: Removed debug error log
	  Catch 404 file not found requests when themes use query_posts()

2008-07-24 13:17  donncha

	* wp-cache-phase2.php: If we can't get a file lock, warn user.

2008-07-23 18:30  donncha

	* readme.txt: Update FAQ on cache times.

2008-07-23 18:27  donncha

	* readme.txt, wp-cache.php: Added p= parameter to htacess rules so
	  they'll be served by wp-cache only,
	  http://wordpress.org/support/topic/191275?replies=3

2008-07-17 09:48  donncha

	* wp-cache.php: Handle if wp-config.php has been moved ../ in
	  WordPress 2.6

2008-07-16 11:12  donncha

	* wp-cache.php: Don't warn the user wp-content is writable if
	  webserver is running as user.
	  Create correct .htaccess rules when WordPress is installed in a
	  different location. Both fixes props Allan Bazinet @
	  http://sneezingfrog.com/blog/

2008-07-15 10:17  donncha

	* Changelog.txt: Update changelog

2008-07-15 10:15  donncha

	* readme.txt, wp-cache.php: Bump the version number to 0.6.5

2008-07-15 10:14  donncha

	* readme.txt: Add "Subscribe to comments" rule to readme

2008-07-15 10:11  donncha

	* wp-cache-phase1.php: Use comment_author instead of email in case
	  email isn't mandatory. props rhapsodyv @
	  http://wordpress.org/support/topic/188775

2008-07-14 10:42  donncha

	* wp-cache-phase2.php, wp-cache.php: Added "wp_cache_gc" option
	  Allow chance of garbage collection to be configurable.

2008-07-14 10:06  donncha

	* readme.txt: If caching doesn't work, it could be
	  advanced-cache.php

2008-07-14 09:53  donncha

	* wp-cache.php: Added Subscribe To Comments exclusion rewrite rule

2008-07-14 09:52  donncha

	* wp-cache.php: Warn if wp-content is writable, props alexleonard,
	  http://wordpress.org/support/topic/188530

2008-07-08 10:41  donncha

	* wp-cache-phase2.php: Remove extra pages generated at the current
	  permalink. ie. paged comments.

2008-06-20 16:16  donncha

	* wp-cache.php: Only need the config file writable to change it

2008-06-16 09:08  donncha

	* wp-cache-phase2.php: Increase the chance of expired file cleanup

2008-06-16 09:07  donncha

	* wp-cache-phase2.php: Warn if page is a 404 or not complete and
	  won't be cached

2008-06-12 09:53  donncha

	* readme.txt: Add troubleshooting message for Dreamhost users

2008-05-26 09:12  donncha

	* wp-cache-phase2.php: Use [] instead of {} for array indexes
	  Fix warning notices

2008-05-14 16:22  donncha

	* Changelog.txt: Updated changelog

2008-05-14 16:19  donncha

	* readme.txt, wp-cache-phase2.php, wp-cache.php: Remove comment.
	  Bump version number

2008-05-14 12:21  donncha

	* wp-cache-phase2.php: Clean up the supercache if no post_id is
	  defined

2008-05-14 12:11  donncha

	* wp-cache.php: Move menu code up

2008-05-13 14:57  donncha

	* wp-cache-phase2.php: Only prune files in the supercache directory
	  Remove expired files 1/500's of the time

2008-05-11 08:51  donncha

	* wp-cache.php: Allow the "digg proof" message to be styled
	  Removed whitespace

2008-05-05 09:49  donncha

	* wp-cache-phase1.php: Removed Last-Modified header so plugin works
	  on godaddy servers. props Brad @
	  http://www.littleredrails.com/blog/2007/09/08/using-wp-cache-on-godaddy-500-error/

2008-05-05 09:44  donncha

	* readme.txt, wp-cache.php: Added rewrite rules to stop POST
	  requests to html static files. props eharris @
	  http://wordpress.org/support/topic/173972?replies=2

2008-04-24 19:14  donncha

	* Changelog.txt: Update Changelog

2008-04-24 19:14  donncha

	* readme.txt: Added changelog link
	  Added attachment_id mod_rewrite rule

2008-04-24 19:11  donncha

	* Changelog.txt: Updated Changelog

2008-04-24 19:09  donncha

	* readme.txt, wp-cache.php: Bump the version number

2008-04-24 15:45  donncha

	* wp-cache-phase2.php: Put "could not write" message in a HTML
	  comment at the end of the current page.

2008-04-20 07:48  donncha

	* wp-cache.php: Use blog charset for encoding.
	  Don't supercache attachment pages, props Callum

2008-04-17 09:23  donncha

	* wp-cache.php: Make sure files are served as UTF-8, props
	  tanguillo and nikolayb
	  http://wordpress.org/support/topic/169540?replies=3

2008-04-12 07:06  donncha

	* Changelog.txt: Updated changelog

2008-04-12 07:05  donncha

	* readme.txt, wp-cache.php: Bump version number and update
	  .htaccess example code

2008-04-11 23:30  donncha

	* wp-cache-phase1.php, wp-cache-phase2.php: Remove "index.php" from
	  cached file paths

2008-04-11 23:17  donncha

	* wp-cache-config-sample.php, wp-cache.php: Add index.php to list
	  of not to be cached pages
	  Minor typo fix

2008-04-08 09:51  donncha

	* wp-cache.php: Delete all contents of cache dir, not just
	  supercachedir when caching disabled.

2008-04-04 11:59  donncha

	* wp-cache.php: wp_specialchars the rules

2008-04-01 11:31  donncha

	* wp-cache.php: Added wpsc_remove_marker() to remove WordPress
	  rewrite rules
	  Super Cache rules now go in the WPSuperCache marker
	  Check for comment cookie in one line, props askapache

2008-03-31 08:42  donncha

	* wp-cache.php: wp_specialchars() the mod_rewrite rules, props
	  Viper007Bond

2008-03-30 10:42  donncha

	* readme.txt, wp-cache.php: Bump the version numbers

2008-03-30 10:41  donncha

	* Changelog.txt: Updated changelog

2008-03-30 10:41  donncha

	* wp-cache.php: Warn if mod_rewrite rules are out of date and
	  encourage user to remove or update them manually

2008-03-30 10:26  donncha

	* Changelog.txt: Updated changelog

2008-03-28 17:37  donncha

	* wp-cache.php: Login cookie got shortened to "wordpress" in 2.5,
	  still backwards compatible

2008-03-28 17:22  donncha

	* wp-cache.php: Move toggleLayer js around

2008-03-13 11:37  donncha

	* readme.txt, wp-cache.php: Bump to 0.6

2008-03-13 11:34  donncha

	* readme.txt: Added compression FAQ

2008-03-13 11:28  donncha

	* wp-cache.php: Only require mod_rewrite if super cache is enabled
	  Hide super cache parts of page when not activated
	  Add "/" to mod_rewrite rules for URLs not ending in a /, props
	  Michael R Aulia @ http://www.michaelaulia.com/blogs/

2008-03-13 11:25  donncha

	* readme.txt: Updated documentation

2008-03-12 18:55  donncha

	* wp-cache-phase2.php: This somehow stops PHP creating directories
	  in the root folder, thanks to Cherie and Jennifer for their
	  invaluable help!

2008-03-12 17:00  donncha

	* wp-cache.php: No need for this message any more

2008-03-11 13:04  donncha

	* wp-cache.php: Don't auto update .htaccess until user wants to.
	  Hide listing of cached files, it's wrong anyway.
	  Move advanced features to the end of backend page.

2008-02-11 20:52  donncha

	* readme.txt, wp-cache.php: You must define things before loading
	  WordPress! (props s2j @
	  http://wordpress.org/support/topic/154996?replies=12#post-691402
	  )

2008-02-08 10:27  donncha

	* wp-cache.php: Remember to delete compressed files from directly
	  cached folders, props John Pozadzides

2008-01-16 12:14  donncha

	* Changelog.txt: Update changelog

2008-01-16 12:13  donncha

	* readme.txt, wp-cache.php: Bump version number
	  Make admin page readonly if configuration page cannot be written
	  to

2008-01-04 11:23  donncha

	* Changelog.txt, readme.txt, wp-cache.php: Bump version and update
	  changelog

2008-01-04 11:22  donncha

	* wp-cache.php: Only update the hello_world option when updating
	  the right form

2008-01-04 10:41  donncha

	* readme.txt, wp-cache.php: Bump version number

2008-01-04 10:40  donncha

	* wp-cache.php: Rearrange .htaccess generator.
	  Allow mod_rewrite rules to be viewed later
	  Only create wp-content/cache/.htaccess if it doesn't exist

2008-01-04 10:16  donncha

	* wp-cache.php: Added Super Cache footer message

2008-01-03 22:29  donncha

	* wp-cache.php: More fixes for sub directory blogs, props Otto42 -
	  http://wordpress.org/support/topic/146443?replies=9#post-664254

2007-12-16 11:07  donncha

	* wp-cache.php: Warn if ABSPATH is writeable
	  Add $home_root to cached files path in rewrite rules
	  make mod_rewrite module warning more verbose

2007-12-09 07:39  donncha

	* wp-cache-phase2.php: Hide unlink errors

2007-12-04 10:18  donncha

	* wp-cache-phase2.php: Check that mutex is set,
	  http://wordpress.org/support/topic/146052?replies=4

2007-11-28 11:29  donncha

	* wp-cache-phase2.php, wp-cache.php: Check that $entries is not
	  empty
	  Don't ever recurse from ABSPATH up

2007-11-26 11:33  donncha

	* Changelog.txt: Updated changelog

2007-11-26 11:32  donncha

	* wp-cache.php: It's WPLOCKDOWN

2007-11-26 11:31  donncha

	* Changelog.txt: Updated Changelog

2007-11-26 11:30  donncha

	* readme.txt, wp-cache.php: Bump the version number
	  Docs for lockdown

2007-11-26 11:17  donncha

	* wp-cache.php: Bumpy bumpy

2007-11-26 11:12  donncha

	* Changelog.txt: Updated Changelog

2007-11-26 11:11  donncha

	* readme.txt: Bump version

2007-11-26 11:07  donncha

	* readme.txt: Warn about safe mode

2007-11-26 10:56  donncha

	* wp-cache.php: Print a warning message if PHP safe mode is
	  enabled.
	  Super Cache plugins will fail silently if advanced-cache.php is
	  not loaded
	  Updated "Directly Cached Files" text

2007-11-16 21:56  donncha

	* plugins/searchengine.php, wp-cache-phase1.php,
	  wp-cache-phase2.php, wp-cache.php: Added &raquo;
	  Updated formatting of admin backend
	  Added "direct caching" of pages.

2007-11-12 21:23  donncha

	* wp-cache-phase2.php, wp-cache.php: PHP 5's mkdir() doesn't like
	  slashes, http://ie2.php.net/manual/en/function.mkdir.php#73848 -
	  props Tummmbler

2007-11-12 15:26  donncha

	* Changelog.txt: Updated changelog

2007-11-12 15:23  donncha

	* readme.txt, wp-cache.php: Bump version
	  Update readme docs
	  Add options page for wpmu site admins

2007-11-12 11:32  donncha

	* wp-cache.php: Check if cache config file is out of date

2007-11-12 11:14  donncha

	* wp-cache-phase2.php, wp-cache.php: Hide some warning messages
	  Don't super cache $_GET requests
	  Use wp_mkdir_p() instead of mkpath()
	  Don't delete meta, supercache or .htaccess

2007-11-11 10:05  donncha

	* wp-cache.php: Don't want to check for .gz files twice!

2007-11-11 08:06  donncha

	* wp-cache.php: Added 'comment moderation' message when blog locked
	  down.
	  Formatting changes
	  Use 'manage_options' instead of administrator because viper
	  changed his role names :)

2007-11-11 01:13  donncha

	* wp-cache.php: If .htaccess updating fails, inform the user

2007-11-11 00:20  donncha

	* wp-cache-phase2.php, wp-cache.php: Added "Lockdown" function so
	  static files won't be deleted by comments
	  Minor changes to admin page formatting
	  get_settings to get_option

2007-11-10 21:06  donncha

	* wp-cache.php: Spell out radio boxes a bit more.
	  Modified .htaccess rules so search pages aren't served from super
	  cache
	  Actually insert_with_markers instead of echoing the command!
	  Tell user rules have been updated
	  Disable super cache *before* renaming directory. Sleep for a
	  second before
	  deleting to allow other processes to finish

2007-11-10 20:03  donncha

	* wp-cache-phase2.php: Make sure the .htaccess isn't deleted

2007-11-10 09:28  donncha

	* wp-cache-phase2.php: Don't remove super-cache file until comment
	  is approved

2007-11-10 07:19  donncha

	* wp-cache.php: Check that WP_CACHE is defined before checking for
	  do_cacheaction.
	  Better instructions for verifying a new install

2007-11-09 21:33  donncha

	* wp-cache.php: Define WPCACHEHOME properly, thanks tummbler for
	  testing!

2007-11-09 17:09  donncha

	* wp-cache-phase2.php: Don't super-cache WordPress searches. May
	  need to extend that to any GET activity

2007-11-09 15:01  donncha

	* wp-cache-phase2.php: Change preg_match delimiter so slashes work
	  again

2007-11-09 14:41  donncha

	* readme.txt: Updated documentation

2007-11-09 14:27  donncha

	* wp-cache.php: Use get_mod_rewrite() to detect if that module is
	  loaded
	  Automatically populate the .htaccess file if it's writable
	  Add gzip encoding rules to the cache dir, props Dennis @
	  http://allmybrain.com/2007/11/08/making-wp-super-cache-gzip-compression-work/
	  Replace Windows folder deliminator, "\" with "/" in WPCACHEHOME,
	  props Computer Guru @
	  http://neosmart.net/blog/2007/getting-wordpress-super-cache-to-run-on-a-windows-iis-or-apache-server/

2007-11-09 01:19  donncha

	* wp-cache-phase2.php: Move is_feed() check earlier.
	  Check that mkpath() path is in $cache_path

2007-11-08 21:57  donncha

	* wp-cache.php: Single quote ABSPATH
	  Check advanced-cache.php for version, remove if necessary, fixed
	  create conditions

2007-11-08 21:55  donncha

	* wp-cache-phase1.php: realpath() two filenames

2007-11-08 21:53  donncha

	* readme.txt: Fix subdirectory .htaccess rules, props Computer Guru

2007-11-08 21:51  donncha

	* plugins/searchengine.php: Hide setcookie errors
	  Return correct string

2007-11-07 15:38  donncha

	* Changelog.txt: Added Changelog.txt

2007-11-07 15:27  donncha

	* readme.txt: Bump version to 0.3.1 (getting to 1.0 far too
	  quickly!)
	  Change formatting again

2007-11-07 15:26  donncha

	* wp-cache.php: Bump version to 0.3.1

2007-11-07 15:26  donncha

	* wp-cache-config-sample.php, wp-cache-phase2.php: Use preg_match()
	  to match rejected URIs.
	  Change "wp-" to "wp-.*.php" to match files and paths starting
	  with "wp-" and ending in "php"

2007-11-07 11:56  donncha

	* wp-cache.php: Bump the version number

2007-11-06 22:50  donncha

	* readme.txt: Bump version

2007-11-06 22:18  donncha

	* wp-cache-phase2.php: Fix feed content-type, props Dougal,
	  (http://dougal.gunters.org/blog/2007/06/19/wp-cache-fix-for-content-type-in-feeds)

2007-11-06 22:15  donncha

	* wp-cache.php: Check the do_cacheaction() exists
	  Copy file if symlink is not found

2007-11-06 21:44  donncha

	* wp-cache.php: Move WP Super Cache to "Site Admin" menu on
	  WordPress MU,
	  http://www.darcynorman.net/2007/11/06/wordpress-super-cache/

2007-11-06 21:19  donncha

	* wp-cache-phase1.php: Don't compress WP-Cache data files is PHP is
	  already doing it

2007-11-06 10:29  donncha

	* readme.txt: Minor typo in tag

2007-11-06 10:06  donncha

	* readme.txt, wp-cache-phase1.php, wp-cache-phase2.php,
	  wp-cache.php: Bump the version to 0.2
	  Enable gzip support in WP-Cache data files, fix feed content
	  type, props tummbler:
	  http://www.tummblr.com/wordpress/improving-wp-super-cache-gzip-for-logged-in-users/
	  http://elliottback.com/wp/archives/2005/07/12/getting-wp-cache-to-work/
	  http://blog.saddey.net/2007/02/18/how-to-prevent-wpcache-from-changing-a-feeds-content-type-to-text-html/
	  When Super Cache is disabled, still write to WP-Cache files
	  Check that prune_super_cache() exists before calling it in
	  wp-cache.php, props Dougal

2007-11-06 09:06  donncha

	* readme.txt: Fix line endings

2007-11-05 18:41  donncha

	* wp-cache.php: Fixed display of "compression changed" message

2007-11-05 18:06  donncha

	* readme.txt: Convert to DOS mode
	  reformat lists for display on wporg

2007-11-05 17:25  donncha

	* readme.txt: Minor updates to the readme

2007-11-05 15:21  donncha

	* wp-cache.php: When disabling or enabling compression make sure
	  the user knows about .htaccess

2007-11-05 15:11  donncha

	* wp-cache-phase2.php: Rejected URIs must have .php in them now so
	  pages starting with "wp-" will be cached

2007-11-05 15:10  donncha

	* wp-cache.php: When disabling supercache, make sure wpcache is
	  enabled.
	  Avoid resetting cache_compression when submitting other forms
	  Reset supercache meta cache when compression modified

2007-11-05 14:54  donncha

	* wp-cache-config-sample.php, wp-cache.php: Fix weirdness with
	  radio buttons on admin page

2007-11-05 11:35  donncha

	* plugins, plugins/searchengine.php, readme.txt, wp-cache-base.php,
	  wp-cache-config-sample.php, wp-cache-phase1.php,
	  wp-cache-phase2.php, wp-cache.php: Initial import of WP Super
	  Cache

2007-10-23 20:02  plugin-master

	* .: adding wp-super-cache by donncha

